
EXECUTE (CREATE TABLE &SCHEMA.MORTGAGE_ACCOUNT (
     ACCOUNT_RK           NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     PROTECTION_INS_EXTERNAL_ORG_RK NUMBER(10),
     BUILDING_INS_EXTERNAL_ORG_RK NUMBER(10),
     PROPERTY_RK          NUMBER(10),
     MORTGAGE_TYPE_CD     VARCHAR2(3),
     MORTGAGE_CYCLE_DAY_NO NUMBER(3),
     ACTUAL_ADVANCE_AMT   NUMBER(18,5),
     ADVANCE_REQ_AMT      NUMBER(18,5),
     ADVANCE_PCT          NUMBER(9,4),
     REVIEW_DT            DATE,
     CURRENT_LIMIT_AMT    NUMBER(18,5),
     CURRENT_LIMIT_DT     DATE,
     INTEREST_PAYABLE_AMT NUMBER(18,5),
     TAX_YEAR_INTEREST_AMT NUMBER(18,5),
     SET_UP_FEES_AMT      NUMBER(18,5),
     CHARGE_OFF_DT        DATE,
     CHARGE_OFF_AMT       NUMBER(18,5),
     LATEST_MTH_PREM_AMT  NUMBER(18,5),
     GUARANTEE_AMT        NUMBER(18,5),
     CLOSING_COST_AMT     NUMBER(18,5),
     APPROVED_ADVANCE_AMT NUMBER(18,5),
     MAXIMUM_MONTHLY_PAYMENT_AMT NUMBER(18,5),
     PAYMENT_ADJUSTABLE_CAP_AMT NUMBER(18,5),
     IMPROVEMENTS_ALLOCATION_AMT NUMBER(18,5),
     DEBT_PAYMENT_AMT     NUMBER(18,5),
     MONTHLY_PAYMENT_AMT  NUMBER(18,5),
     DOWN_PAYMENT_AMT     NUMBER(18,5),
     APR_RT               NUMBER(9,4),
     BASE_APR_RT          NUMBER(9,4),
     VRBLE_CHNG_TIME_FREQUENCY_CD VARCHAR2(3),
     FIXED_APR_RT         NUMBER(9,4),
     FIXED_PERIOD_MONTHS  NUMBER(6),
     FIXED_VARIABLE_DT    DATE,
     CONVERSION_TO_FIXED_END_DT DATE,
     HOME_STATUS_CD       VARCHAR2(3),
     MORTGAGE_STATUS_CD   VARCHAR2(3),
     EXCHANGE_DT          DATE,
     REDEEMED_DT          DATE,
     MATURITY_DT          DATE,
     PAYMENT_METHOD_CD    VARCHAR2(3),
     COLLECTIONS_STATUS_CD VARCHAR2(3),
     CASHBACK_AMT         NUMBER(18,5),
     CASHBACK_PCT         NUMBER(9,4),
     LIFE_INSURANCE_FLG   VARCHAR2(1),
     INTRODUCER_CD        VARCHAR2(3),
     LAST_STATEMENT_DT    DATE,
     REDEMPTION_CHARGES_CD VARCHAR2(3),
     OPEN_TO_BUY_AMT      NUMBER(18,5),
     PROTECTION_FLG       VARCHAR2(1),
     PROTECTION_POLICY_NO VARCHAR2(20),
     PROTECTION_START_DT  DATE,
     PROTECTION_PREM_RT   NUMBER(9,4),
     PROT_TERM_CONDITION_CD VARCHAR2(3),
     PROT_PREM_START_DT   DATE,
     PPI_PREMIUM_FIRST_DUE_DT DATE,
     PREPAYMENT_PENALTY_DT DATE,
     PREPAYMENT_PENALTY_AMT NUMBER(18,5),
     BUILDINGS_INS_FLG    VARCHAR2(1),
     BLDG_INS_PROOF_FLG   VARCHAR2(1),
     MONTHS_SINCE_AT_BUREAU_CNT NUMBER(6),
     BUREAU_CLASS_CD      VARCHAR2(3),
     INQUIRY_BUREAU_CNT   NUMBER(6),
     INTEREST_RATE_CAP_RT NUMBER(9,4),
     NEXT_PI_ADJUSTMENT_DT DATE,
     PERIOD_CAP_PERCENTAGE_RT NUMBER(9,4),
     HOME_EQUITY_LOAN_FLG VARCHAR2(1),
     DOCUMENTATION_TYPE_CD VARCHAR2(3),
     FIRST_TIME_BUYER_FLG VARCHAR2(1),
     PRINCIPAL_REPAYMENT_FLG VARCHAR2(1),
     ANNUAL_REPAYMENT_PCT NUMBER(9,4),
     PAYMENT_TIME_FREQUENCY_CD VARCHAR2(3),
     PAYMENT_AMT          NUMBER(18,5),
     FIRST_MORTGAGE_FLG   VARCHAR2(1),
     AUTO_PAY_FLG         VARCHAR2(1),
     LIEN_INDICATOR_FLG   VARCHAR2(1),
     MAINTENANCE_FLG      VARCHAR2(1),
     BORROWED_DOWNPAYMENT_FLG VARCHAR2(1),
     BORROWED_DOWNPAYMENT_PCT NUMBER(9,4),
     CASH_ADVANCE_FLG     VARCHAR2(1),
     PURPOSE_CD           VARCHAR2(3),
     SPECIALIZED_LENDING_CD VARCHAR2(3),
     SENIORITY_CD         VARCHAR2(3),
     INTEREST_TIER_NO     NUMBER(5),
     PRE_CREDIT_CD        VARCHAR2(3),
     PRE_CREDIT_END_DT    DATE,
     REFINANCE_AMT        NUMBER(18,5),
     APR_TYPE_CD          VARCHAR2(10),
     MINIMUM_PAYMENT_FLG  VARCHAR2(1),
     REDRAW_FLG           VARCHAR2(1),
     MINIMUM_REDRAW_AMT   NUMBER(18,5),
     CONVERT_TO_SPLIT_OPTION_FLG VARCHAR2(1),
     ORIGIN_CHANNEL_CD    VARCHAR2(3),
     FORECLOSURE_FLG      VARCHAR2(1),
     ACCOUNT_ID           VARCHAR2(32),
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     HONEYMOON_FLG        VARCHAR2(1),
     HONEYMOON_START_DT   DATE,
     HONEYMOON_END_DT     DATE,
     OFFSET_ACCOUNT_FLG   VARCHAR2(1),
     PORTABILITY_FLG      VARCHAR2(1),
     PAYMENT_PROTECTION_FLG VARCHAR2(1),
     PAYMENT_PROTECTION_STATUS_CD VARCHAR2(3),
     PROTECTION_STATUS_CD VARCHAR2(3),
     SPLIT_LOAN_FLG       VARCHAR2(1),
     FIXED_INT_END_DT     DATE,
     CONVERTIBLE_CD       VARCHAR2(3),
     REPAYMENT_HOLIDAY_FLG VARCHAR2(1),
     REPAYMENT_HOLIDAY_START_DT DATE,
     REPAYMENT_HOLIDAY_END_DT DATE,
     SPECIAL_INTEREST_RT  NUMBER(9,4),
     SPECIAL_RATE_START_DT DATE,
     SPECIAL_RATE_END_DT  DATE,
     DISBURSEMENT_TYPE_CD VARCHAR2(3),
     SPECIAL_RATE_TYPE_CD VARCHAR2(3),
     APR_RT_CHANGE_REASON_CD VARCHAR2(3),
     MATURITY_CHANGE_REASON_CD VARCHAR2(3),
     FIRST_PAYMENT_DT     DATE,
     LAST_PAYMENT_DT      DATE,
     CURRENT_APR_SET_DT   DATE,
     INTEREST_ONLY_FLG    VARCHAR2(1),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     ANNUAL_PENALTY_FREE_PREP_AMT NUMBER(18,5),
     OTHER_PARTY_LIEN_FLG VARCHAR2(1),
     PREPAYMENT_PENALTY_CD VARCHAR2(3),
     PREPAYMENT_TIME_FREQUENCY_CD VARCHAR2(3),
     PROPERTY_OCCUPANCY_CD VARCHAR2(3),
     PRUDENTLY_UNDERWRITTEN_FLG VARCHAR2(1),
     REMAIN_PENALTY_FREE_PREP_AMT NUMBER(18,5),
     UNDRLYNG_CONTRACT_CANCELED_FLG VARCHAR2(1),
     PRIMARY KEY (ACCOUNT_RK, VALID_FROM_DTTM)
)) BY ORACLE;
