
CREATE TABLE &LIBREF..CREDIT_FACILITY (
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CREDIT_FACILITY_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_VALID_FROM_DTTM_LABEL,N))",
     COVERED_BY_CREDIT_FACILITY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COVERED_BY_CREDIT_FACILITY_RK_LABEL,N))",
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EFFECTIVE_FROM_DT_LABEL,N))",
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXPIRATION_DT_LABEL,N))",
     CREDIT_FACILITY_ID   VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CREDIT_FACILITY_ID_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CURRENCY_CD_LABEL,N))",
     LIMIT_AMT            NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_LIMIT_AMT_LABEL,N))",
     IN_DEFAULT_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_IN_DEFAULT_FLG_LABEL,N))",
     SPECIALIZED_LENDING_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SPECIALIZED_LENDING_CD_LABEL,N))",
     SENIORITY_CD         VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SENIORITY_CD_LABEL,N))",
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_OFF_BALANCE_SHEET_TYPE_CD_LABEL,N))",
     REGULATORY_PRODUCT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_REGULATORY_PRODUCT_CD_LABEL,N))",
     CREDIT_FACILITY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CREDIT_FACILITY_TYPE_CD_LABEL,N))",
     COMMITMENT_TYPE_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COMMITMENT_TYPE_CD_LABEL,N))",
     HAIRCUT_VALUE_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_HAIRCUT_VALUE_PCT_LABEL,N))",
     EXPECTED_LOSS_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXPECTED_LOSS_PCT_LABEL,N))",
     REMARGINING_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_REMARGINING_DAYS_CNT_LABEL,N))",
     HOLDING_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_HOLDING_PERIOD_DAYS_CNT_LABEL,N))",
     RISK_WEIGHT_PCT      NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RISK_WEIGHT_PCT_LABEL,N))",
     HAIRCUT_SET_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_HAIRCUT_SET_ID_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SOURCE_SYSTEM_CD_LABEL,N))",
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_GL_ACCOUNT_RK_LABEL,N))",
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3) FORMAT=NLNUM7.3 INFORMAT=NLNUM7.3 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EFFECTIVE_MATURITY_YEAR_NO_LABEL,N))",
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_FINANCIAL_FUND_RK_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EFFECTIVE_TO_DTTM_LABEL,N))",
     EXPOSURE_AT_DEFAULT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXPOSURE_AT_DEFAULT_AMT_LABEL,N))",
     ADJUSTMENT_TO_EXPOSURE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_ADJUSTMENT_TO_EXPOSURE_AMT_LABEL,N))",
     REVOLVING_END_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_REVOLVING_END_DT_LABEL,N))",
     RESETS_TYPE_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RESETS_TYPE_CD_LABEL,N))",
     LAST_RESET_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_LAST_RESET_DT_LABEL,N))",
     RESETS_PER_ANNUM_NO  NUMERIC(5) FORMAT=5. INFORMAT=5. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RESETS_PER_ANNUM_NO_LABEL,N))",
     SPREAD_RT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SPREAD_RT_LABEL,N))",
     DISCOUNT_SPREAD_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_DISCOUNT_SPREAD_RT_LABEL,N))",
     INITIAL_CONTRACT_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_INITIAL_CONTRACT_RT_LABEL,N))",
     FIRST_RESET_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_FIRST_RESET_DT_LABEL,N))",
     EXERCISE_TYPE_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXERCISE_TYPE_CD_LABEL,N))",
     EXERCISE_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXERCISE_DT_LABEL,N))",
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_INTERNAL_REPORTING_CATEGORY_CD_LABEL,N))",
     PORTFOLIO_ID         VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_PORTFOLIO_ID_LABEL,N))",
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COUNTERPARTY_RK_LABEL,N))",
     COVER_SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COVER_SECURITIZATION_POOL_RK_LABEL,N))",
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_OWNED_BY_INTERNAL_ORG_RK_LABEL,N))",
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_NETTING_SET_RK_LABEL,N))",
     RATE_POLICY_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RATE_POLICY_RK_LABEL,N))",
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CAPITAL_ALLOCATION_RK_LABEL,N))",
     CAPITAL_COST_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CAPITAL_COST_RK_LABEL,N))",
     SEGMENT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SEGMENT_RK_LABEL,N))",
     CREDIT_FACILITY_GROUP_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CREDIT_FACILITY_GROUP_RK_LABEL,N))",
     EXPENSE_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_EXPENSE_ALLOCATION_RK_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     RECEIVABLES_POOL_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RECEIVABLES_POOL_RK_LABEL,N))",
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SECURITIZATION_POOL_RK_LABEL,N))",
     CIC_CD               VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CIC_CD_LABEL,N))",
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_UNWIND_TRIGGER_EVENT_TYPE_CD_LABEL,N))",
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_UNWIND_MAX_LOSS_AMT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_PROCESSED_DTTM_LABEL,N))",
     NO_REVOKE_UNTIL_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_NO_REVOKE_UNTIL_DT_LABEL,N))",
     CREDIT_FACILITY_POSITION_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_CREDIT_FACILITY_POSITION_CD_LABEL,N))",
     REVOKE_NOTICE_IN_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_REVOKE_NOTICE_IN_DAYS_CNT_LABEL,N))",
     RENEWAL_FEE_RT       NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RENEWAL_FEE_RT_LABEL,N))",
     RENEWAL_FEE_SCHEDULE_UOM_CD VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RENEWAL_FEE_SCHEDULE_UOM_CD_LABEL,N))",
     RENEWAL_FEE_SCHEDULE_UOM_NO NUMERIC(6,2) FORMAT=NLNUM6.2 INFORMAT=NLNUM6.2 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RENEWAL_FEE_SCHEDULE_UOM_NO_LABEL,N))",
     RENEWAL_FIRST_FEE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_RENEWAL_FIRST_FEE_DT_LABEL,N))",
     COMMITMENT_FEE_RT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COMMITMENT_FEE_RT_LABEL,N))",
     COMMITMENT_FEE_SCHEDULE_UOM_CD VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COMMITMENT_FEE_SCHEDULE_UOM_CD_LABEL,N))",
     COMMITMENT_FEE_SCHEDULE_UOM_NO NUMERIC(6,2) FORMAT=NLNUM6.2 INFORMAT=NLNUM6.2 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COMMITMENT_FEE_SCHEDULE_UOM_NO_LABEL,N))",
     COMMITMENT_FIRST_FEE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_COMMITMENT_FIRST_FEE_DT_LABEL,N))",
     DAYS_PAYMENT_PAST_DUE_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_DAYS_PAYMENT_PAST_DUE_CNT_LABEL,N))",
     FACILITY_STATUS_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_FACILITY_STATUS_CD_LABEL,N))",
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_HIGH_RISK_CATEGORY_FLG_LABEL,N))",
     MKT_RISK_CHG_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_MKT_RISK_CHG_AMT_LABEL,N))",
     NON_MAT_EXP_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_NON_MAT_EXP_FLG_LABEL,N))",
     PAYMENT_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_PAYMENT_TIME_FREQUENCY_CD_LABEL,N))",
     POSITION_ROLE_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_POSITION_ROLE_CD_LABEL,N))",
     SEC_INFRINGEMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SEC_INFRINGEMENT_FLG_LABEL,N))",
     SETT_RISK_CHG_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_FACILITY_SETT_RISK_CHG_AMT_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CREDIT_FACILITY_RK, VALID_FROM_DTTM)
);
