/*-- Copyright (c) 2016 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
$Revision: 1.1.2.2 $
$Date: 2016/02/18 09:19:05 $
Model         Insurance DDS 5.8 HF1
Subject Area  Entire
Model Version 
Macro Name    idds_create_hf_tables.sas
DBMS          SAS
Created       2/2/2016 12:30:01 PM
* Copyright (c) 2016 by SAS Institute Inc., Cary, NC 27513
*/
 /* assign the macro variable fileloc to location of the DDL                  */ 
 /* assign the macro variable smd to message file in SASHELP                  */ 
%let SMDFILE = SASHELP.insurancedds58_label;
%macro idds_create_hf_tables(LIBREF=DDS, DTTMFMT=NLDATM21., TMFMT=NLTIMAP11., DTFMT=NLDATEM., FMTRK=12., fileloc=,  
SMDFILE=SASHELP.insurancedds58_label);

/* Script to rename the existing tables present in the hot fix */

proc datasets lib=&LIBREF nolist; 
  %include "&fileloc./idds_rename_existing_hf_tables.sas";
QUIT; 

/* Script to create the new and the modified tables in the hot fix */

PROC SQL;
  %include "&fileloc./analytical_model_target_period.sas";
  %include "&fileloc./application_details.sas";
  %include "&fileloc./assessment_rating_grade.sas";
  %include "&fileloc./bond_instrument.sas";
  %include "&fileloc./capital_allocation.sas";
  %include "&fileloc./capital_cost.sas";
  %include "&fileloc./capital_type.sas";
  %include "&fileloc./code_language.sas";
  %include "&fileloc./conversion_schedule.sas";
  %include "&fileloc./counterparty.sas";
  %include "&fileloc./credit_facility.sas";
  %include "&fileloc./credit_facility_transfer_rate.sas";
  %include "&fileloc./credit_risk_mitigant.sas";
  %include "&fileloc./curve_role.sas";
  %include "&fileloc./external_org_financial_data.sas";
  %include "&fileloc./financial_account.sas";
  %include "&fileloc./financial_collateral.sas";
  %include "&fileloc./financial_instrument.sas";
  %include "&fileloc./financial_instrument_calc_spec.sas";
  %include "&fileloc./financial_position.sas";
  %include "&fileloc./forward_instrument.sas";
  %include "&fileloc./fra_instrument_leg.sas";
  %include "&fileloc./hedge_group.sas";
  %include "&fileloc./hedge_group_type.sas";
  %include "&fileloc./industry.sas";
  %include "&fileloc./internal_org.sas";
  %include "&fileloc./leg_role.sas";
  %include "&fileloc./liquidity_category_type.sas";
  %include "&fileloc./margin_agreement.sas";
  %include "&fileloc./margin_agreement_assmnt_rating.sas";
  %include "&fileloc./margin_agreement_eligibility.sas";
  %include "&fileloc./margin_agreement_leg.sas";
  %include "&fileloc./margin_agrmnt_colltrl_contract.sas";
  %include "&fileloc./money_market_instrument.sas";
  %include "&fileloc./money_market_type.sas";
  %include "&fileloc./mortgage_account.sas";
  %include "&fileloc./netting_set.sas";
  %include "&fileloc./option_instrument.sas";
  %include "&fileloc./physical_asset.sas";
  %include "&fileloc./pledged_collateral.sas";
  %include "&fileloc./pledged_collateral_assignment.sas";
  %include "&fileloc./portfolio_subtype.sas";
  %include "&fileloc./portfolio_type.sas";
  %include "&fileloc./regulatory_capital.sas";
  %include "&fileloc./risk_factor.sas";
  %include "&fileloc./risk_factor_curve.sas";
  %include "&fileloc./risk_factor_attribute.sas";
  %include "&fileloc./risk_factor_category.sas";
  %include "&fileloc./risk_factor_object_relation.sas";
  %include "&fileloc./risk_factor_object_type.sas";
  %include "&fileloc./risk_factor_relation_type.sas";
  %include "&fileloc./rollover_scheme.sas";
  %include "&fileloc./securitization_pool.sas";
  %include "&fileloc./time_unit_of_measure.sas";
  %include "&fileloc./underwriter_details.sas";
QUIT;
%MEND;


/* Do not edit below this line */

/* Initialize IAA */
%iaainit;

/* Run DDL to create table structure for tables in Hot Fix in SAS */
%idds_create_hf_tables(LIBREF=DDS, fileloc=&IAADDL_ROOT.);

/* Verify if any error thrown at DB end (only applicable when being executed from SAS Deployment Wizard) */
%let m_sdw_flg=%sysget(m_sdw_flg);
%insurancedds_error_check(sdw_flg=&m_sdw_flg.);
