
EXECUTE (CREATE TABLE &SCHEMA.CREDIT_FACILITY (
     CREDIT_FACILITY_RK   NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     COVERED_BY_CREDIT_FACILITY_RK NUMBER(10),
     EFFECTIVE_FROM_DT    DATE,
     EXPIRATION_DT        DATE,
     CREDIT_FACILITY_ID   VARCHAR2(32),
     CURRENCY_CD          VARCHAR2(3),
     LIMIT_AMT            NUMBER(18,5),
     IN_DEFAULT_FLG       VARCHAR2(1),
     SPECIALIZED_LENDING_CD VARCHAR2(3),
     SENIORITY_CD         VARCHAR2(3),
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR2(3),
     REGULATORY_PRODUCT_CD VARCHAR2(3),
     CREDIT_FACILITY_TYPE_CD VARCHAR2(3),
     COMMITMENT_TYPE_CD   VARCHAR2(3),
     HAIRCUT_VALUE_PCT    NUMBER(9,4),
     EXPECTED_LOSS_PCT    NUMBER(9,4),
     REMARGINING_DAYS_CNT NUMBER(6),
     HOLDING_PERIOD_DAYS_CNT NUMBER(6),
     RISK_WEIGHT_PCT      NUMBER(9,4),
     HAIRCUT_SET_ID       VARCHAR2(32),
     SOURCE_SYSTEM_CD     VARCHAR2(3),
     GL_ACCOUNT_RK        NUMBER(10),
     EFFECTIVE_MATURITY_YEAR_NO NUMBER(7,3),
     FINANCIAL_FUND_RK    NUMBER(10),
     EFFECTIVE_FROM_DTTM  DATE,
     EFFECTIVE_TO_DTTM    DATE,
     EXPOSURE_AT_DEFAULT_AMT NUMBER(18,5),
     ADJUSTMENT_TO_EXPOSURE_AMT NUMBER(18,5),
     REVOLVING_END_DT     DATE,
     RESETS_TYPE_CD       VARCHAR2(3),
     LAST_RESET_DT        DATE,
     RESETS_PER_ANNUM_NO  NUMBER(5),
     SPREAD_RT            NUMBER(9,4),
     DISCOUNT_SPREAD_RT   NUMBER(9,4),
     INITIAL_CONTRACT_RT  NUMBER(9,4),
     FIRST_RESET_DT       DATE,
     EXERCISE_TYPE_CD     VARCHAR2(3),
     EXERCISE_DT          DATE,
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR2(3),
     PORTFOLIO_ID         VARCHAR2(32),
     COUNTERPARTY_RK      NUMBER(10),
     COVER_SECURITIZATION_POOL_RK NUMBER(10),
     OWNED_BY_INTERNAL_ORG_RK NUMBER(10),
     NETTING_SET_RK       NUMBER(10),
     RATE_POLICY_RK       NUMBER(10),
     CAPITAL_ALLOCATION_RK NUMBER(10),
     CAPITAL_COST_RK      NUMBER(10),
     SEGMENT_RK           NUMBER(10),
     CREDIT_FACILITY_GROUP_RK NUMBER(10),
     EXPENSE_ALLOCATION_RK NUMBER(10),
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR2(3),
     RECEIVABLES_POOL_RK  NUMBER(10),
     SECURITIZATION_POOL_RK NUMBER(10),
     CIC_CD               VARCHAR2(4),
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR2(3),
     UNWIND_MAX_LOSS_AMT  NUMBER(18,5),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     NO_REVOKE_UNTIL_DT   DATE,
     CREDIT_FACILITY_POSITION_CD VARCHAR2(3),
     REVOKE_NOTICE_IN_DAYS_CNT NUMBER(6),
     RENEWAL_FEE_RT       NUMBER(9,4),
     RENEWAL_FEE_SCHEDULE_UOM_CD VARCHAR2(20),
     RENEWAL_FEE_SCHEDULE_UOM_NO NUMBER(6,2),
     RENEWAL_FIRST_FEE_DT DATE,
     COMMITMENT_FEE_RT    NUMBER(9,4),
     COMMITMENT_FEE_SCHEDULE_UOM_CD VARCHAR2(20),
     COMMITMENT_FEE_SCHEDULE_UOM_NO NUMBER(6,2),
     COMMITMENT_FIRST_FEE_DT DATE,
     DAYS_PAYMENT_PAST_DUE_CNT NUMBER(6),
     FACILITY_STATUS_CD   VARCHAR2(3),
     HIGH_RISK_CATEGORY_FLG VARCHAR2(1),
     MKT_RISK_CHG_AMT     NUMBER(18,5),
     NON_MAT_EXP_FLG      VARCHAR2(1),
     PAYMENT_TIME_FREQUENCY_CD VARCHAR2(3),
     POSITION_ROLE_CD     VARCHAR2(3),
     SEC_INFRINGEMENT_FLG VARCHAR2(1),
     SETT_RISK_CHG_AMT    NUMBER(18,5),
     PRIMARY KEY (CREDIT_FACILITY_RK, VALID_FROM_DTTM)
)) BY ORACLE;
