
CREATE TABLE &LIBREF..BOND_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_VALID_FROM_DTTM_LABEL,N))",
     BOND_INSTRUMENT_TYPE_CD VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_BOND_INSTRUMENT_TYPE_CD_LABEL,N))",
     REDEMPTION_PRICE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_REDEMPTION_PRICE_AMT_LABEL,N))",
     REDEMPTION_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_REDEMPTION_CURRENCY_CD_LABEL,N))",
     SPECIALIZED_LENDING_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_SPECIALIZED_LENDING_CD_LABEL,N))",
     CALL_PROTECTION_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_CALL_PROTECTION_DT_LABEL,N))",
     CONVERTIBLE_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_CONVERTIBLE_FLG_LABEL,N))",
     PRINCIPAL_EXCHANGE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_PRINCIPAL_EXCHANGE_FLG_LABEL,N))",
     INTEREST_ONLY_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_INTEREST_ONLY_FLG_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,BOND_INSTRUMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
