
CREATE TABLE &LIBREF..COUNTERPARTY (
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_VALID_FROM_DTTM_LABEL,N))",
     COUNTERPARTY_ID      VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_ID_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SOURCE_SYSTEM_CD_LABEL,N))",
     COUNTERPARTY_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_ROLE_CD_LABEL,N))",
     COUNTERPARTY_GROUP_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_GROUP_ID_LABEL,N))",
     COUNTERPARTY_GROUP_PARENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_GROUP_PARENT_FLG_LABEL,N))",
     COUNTERPARTY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_TYPE_CD_LABEL,N))",
     REGLTRY_COUNTERPARTY_TYPE_CD VARCHAR(3) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_REGLTRY_COUNTERPARTY_TYPE_CD_LABEL,N))",
     ECONOMIC_SECTOR_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_ECONOMIC_SECTOR_CD_LABEL,N))",
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_HIGH_RISK_CATEGORY_FLG_LABEL,N))",
     COUNTERPARTY_LEGAL_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_LEGAL_TYPE_CD_LABEL,N))",
     CORE_MKT_PARTICIPANT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_CORE_MKT_PARTICIPANT_FLG_LABEL,N))",
     RISK_WEIGHT_PCT      NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_RISK_WEIGHT_PCT_LABEL,N))",
     COUNTERPARTY_RLN_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_COUNTERPARTY_RLN_TYPE_CD_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_EFFECTIVE_TO_DTTM_LABEL,N))",
     DOMESTIC_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_DOMESTIC_CURRENCY_CD_LABEL,N))",
     ELIG_CCR_CENTRAL_CPTY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_ELIG_CCR_CENTRAL_CPTY_FLG_LABEL,N))",
     SOLVENCY_RATIO_PCT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SOLVENCY_RATIO_PCT_LABEL,N))",
     CPTY_INTERNAL_RPT_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_CPTY_INTERNAL_RPT_CATEGORY_CD_LABEL,N))",
     MIN_CAPITAL_REQ_FLG  CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_MIN_CAPITAL_REQ_FLG_LABEL,N))",
     SINGLE_NAME_EXPOSURE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SINGLE_NAME_EXPOSURE_FLG_LABEL,N))",
     SOLVENCY2_STANDARD_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SOLVENCY2_STANDARD_ID_LABEL,N))",
     SOLVENCY2_STANDARD_ID_TYPE_CD VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SOLVENCY2_STANDARD_ID_TYPE_CD_LABEL,N))",
     CP_AFFILIATED_TO_FI_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_CP_AFFILIATED_TO_FI_FLG_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_PROCESSED_DTTM_LABEL,N))",
     CENTGOV_TREAT_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_CENTGOV_TREAT_FLG_LABEL,N))",
     CPTY_COLLATERAL_POOLS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_CPTY_COLLATERAL_POOLS_FLG_LABEL,N))",
     FINANCIAL_ENTITY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_FINANCIAL_ENTITY_TYPE_CD_LABEL,N))",
     LEGAL_ENTITY_ID      VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_LEGAL_ENTITY_ID_LABEL,N))",
     LE_EXCESS_DAYS_NO    NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_LE_EXCESS_DAYS_NO_LABEL,N))",
     NACE_CLASS_CD        VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_NACE_CLASS_CD_LABEL,N))",
     NATIONAL_RGLTRY_CPTY_CODE_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_NATIONAL_RGLTRY_CPTY_CODE_ID_LABEL,N))",
     REGULATORY_INVSTMNT_GRADE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_REGULATORY_INVSTMNT_GRADE_FLG_LABEL,N))",
     SME_SUPPORTING_FACTOR_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_SME_SUPPORTING_FACTOR_FLG_LABEL,N))",
     STD_CENTGOV_TREAT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_STD_CENTGOV_TREAT_FLG_LABEL,N))",
     STD_REGGOV_TREAT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_STD_REGGOV_TREAT_FLG_LABEL,N))",
     STD_ZERO_RW_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,COUNTERPARTY_STD_ZERO_RW_FLG_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (COUNTERPARTY_RK, VALID_FROM_DTTM)
);
