
CREATE TABLE &LIBREF..CREDIT_RISK_MITIGANT (
     CREDIT_RISK_MITIGANT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_CREDIT_RISK_MITIGANT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_VALID_FROM_DTTM_LABEL,N))",
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_EFFECTIVE_FROM_DT_LABEL,N))",
     CREDIT_RISK_MITIGANT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_CREDIT_RISK_MITIGANT_TYPE_CD_LABEL,N))",
     CREDIT_RISK_MITIGANT_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_CREDIT_RISK_MITIGANT_ID_LABEL,N))",
     PHYSICAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_PHYSICAL_COLLATERAL_RK_LABEL,N))",
     FINANCIAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_FINANCIAL_COLLATERAL_RK_LABEL,N))",
     GUARANTEE_RK         NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_GUARANTEE_RK_LABEL,N))",
     RECEIVABLES_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_RECEIVABLES_RK_LABEL,N))",
     PRIM_COLL_ASSET_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_PRIM_COLL_ASSET_TYPE_CD_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_SOURCE_SYSTEM_CD_LABEL,N))",
     VALUATION_TYPE_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_VALUATION_TYPE_CD_LABEL,N))",
     HIGHER_SENIORITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_HIGHER_SENIORITY_AMT_LABEL,N))",
     PROTECTION_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_PROTECTION_VALUE_AMT_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_CURRENCY_CD_LABEL,N))",
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_EXPIRATION_DT_LABEL,N))",
     MTM_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_MTM_TIME_FREQUENCY_CD_LABEL,N))",
     IRREVOCABLE_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_IRREVOCABLE_FLG_LABEL,N))",
     ELIGIBLE_CR_MITIGANT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_ELIGIBLE_CR_MITIGANT_TYPE_CD_LABEL,N))",
     HELD_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_HELD_BY_INTERNAL_ORG_RK_LABEL,N))",
     UNFUNDED_FLG         CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_UNFUNDED_FLG_LABEL,N))",
     THIRD_PARTY_DEPOSIT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_THIRD_PARTY_DEPOSIT_FLG_LABEL,N))",
     USED_FOR_APPL_ONLY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_USED_FOR_APPL_ONLY_FLG_LABEL,N))",
     IRB_ALT_TREAT_ELIGIBLE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_IRB_ALT_TREAT_ELIGIBLE_TYPE_CD_LABEL,N))",
     MTM_MITIGANT_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_MTM_MITIGANT_VALUE_AMT_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_EFFECTIVE_TO_DTTM_LABEL,N))",
     CB_NO_USE_UNDER_DISTRESS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_CB_NO_USE_UNDER_DISTRESS_FLG_LABEL,N))",
     COUNTERPARTY_CUSTODIAN_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_COUNTERPARTY_CUSTODIAN_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_PROCESSED_DTTM_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,CREDIT_RISK_MITIGANT_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CREDIT_RISK_MITIGANT_RK, VALID_FROM_DTTM)
);
