
CREATE TABLE &LIBREF..EXTERNAL_ORG_FINANCIAL_DATA (
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_VALID_FROM_DTTM_LABEL,N))",
     EXTERNAL_ORG_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EXTERNAL_ORG_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_VALID_TO_DTTM_LABEL,N))",
     ANNUAL_REVENUE_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ANNUAL_REVENUE_AMT_LABEL,N))",
     REVENUE_GROWTH_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_REVENUE_GROWTH_AMT_LABEL,N))",
     GROSS_ANNUAL_SALES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_GROSS_ANNUAL_SALES_AMT_LABEL,N))",
     NET_SALES_REVENUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_SALES_REVENUE_AMT_LABEL,N))",
     ANNUAL_OPERATING_REVENUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_ANNUAL_OPERATING_REVENUE_AMT_LABEL,N))",
     CAGR_OPERATING_REVENUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CAGR_OPERATING_REVENUE_AMT_LABEL,N))",
     NON_OPERATING_REVENUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NON_OPERATING_REVENUE_AMT_LABEL,N))",
     COST_OF_GOODS_SOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_COST_OF_GOODS_SOLD_AMT_LABEL,N))",
     COST_OF_SALES_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_COST_OF_SALES_AMT_LABEL,N))",
     OPBDIT_AMT           NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_OPBDIT_AMT_LABEL,N))",
     ANNUAL_INTEREST_CHARGES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_ANNUAL_INTEREST_CHARGES_AMT_LABEL,N))",
     INTEREST_FINANCE_CHARGES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_INTEREST_FINANCE_CHARGES_AMT_LABEL,N))",
     TOTAL_TERM_DEBT_P_AND_I_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_TOTAL_TERM_DEBT_P_AND_I_AMT_LABEL,N))",
     LONG_TERM_DEBT_INT_EXPENSE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL__LONG_TERM_DEBT_INT_EXPENSE_AMT_LABEL,N))",
     DEPREC_NON_CASH_CHARGES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_DEPREC_NON_CASH_CHARGES_AMT_LABEL,N))",
     OWNER_COMP_DRAWING_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_OWNER_COMP_DRAWING_AMT_LABEL,N))",
     GENERAL_OTHER_EXPENSE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_GENERAL_OTHER_EXPENSE_AMT_LABEL,N))",
     EBIT_AMT             NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EBIT_AMT_LABEL,N))",
     PRIOR_PERIOD_ADJUSTMENTS_NO NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_PRIOR_PERIOD_ADJUSTMENTS_NO_LABEL,N))",
     EXTRA_ORDINARY_INCOME_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EXTRA_ORDINARY_INCOME_AMT_LABEL,N))",
     EXTRA_ORDINARY_EXPENSES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_EXTRA_ORDINARY_EXPENSES_AMT_LABEL,N))",
     GROSS_PROFIT_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_GROSS_PROFIT_AMT_LABEL,N))",
     PBT_AMT              NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_PBT_AMT_LABEL,N))",
     PAT_AMT              NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_PAT_AMT_LABEL,N))",
     ACCRETION_TO_RESERVES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ACCRETION_TO_RESERVES_AMT_LABEL,N))",
     NET_CASH_ACCRUALS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_CASH_ACCRUALS_AMT_LABEL,N))",
     FREE_CASH_FLOW_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_FREE_CASH_FLOW_AMT_LABEL,N))",
     GROSS_OPERATING_MARGINS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_GROSS_OPERATING_MARGINS_AMT_LABEL,N))",
     NET_INCOME_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_INCOME_AMT_LABEL,N))",
     GROSS_MARGIN_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_GROSS_MARGIN_AMT_LABEL,N))",
     NET_MARGIN_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_MARGIN_AMT_LABEL,N))",
     RETURN_ON_CAPITAL_EMPLOYED_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL__RETURN_ON_CAPITAL_EMPLOYED_AMT_LABEL,N))",
     RETURN_ON_EQUITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_RETURN_ON_EQUITY_AMT_LABEL,N))",
     DEBT_SERVICE_COVERAGE_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DEBT_SERVICE_COVERAGE_RT_LABEL,N))",
     AVG_DEBT_SERVICE_COVERAGE_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_AVG_DEBT_SERVICE_COVERAGE_RT_LABEL,N))",
     INTEREST_COVERAGE_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_INTEREST_COVERAGE_RT_LABEL,N))",
     AVERAGE_INTEREST_COVERAGE_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_AVERAGE_INTEREST_COVERAGE_RT_LABEL,N))",
     RENT_AMT             NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_RENT_AMT_LABEL,N))",
     TOTAL_ASSETS_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TOTAL_ASSETS_AMT_LABEL,N))",
     FIXED_ASSETS_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_FIXED_ASSETS_AMT_LABEL,N))",
     CURRENT_ASSETS_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CURRENT_ASSETS_AMT_LABEL,N))",
     NET_TRADE_REC_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_TRADE_REC_AMT_LABEL,N))",
     INVENTORY_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_INVENTORY_AMT_LABEL,N))",
     OTHER_CURRENT_ASSETS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_OTHER_CURRENT_ASSETS_AMT_LABEL,N))",
     MARKETABLE_SECURITIES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_MARKETABLE_SECURITIES_AMT_LABEL,N))",
     ASSETS_SECURITIZED_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ASSETS_SECURITIZED_AMT_LABEL,N))",
     CASH_AND_BANK_BALANCES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CASH_AND_BANK_BALANCES_AMT_LABEL,N))",
     INTANGIBLE_ASSETS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_INTANGIBLE_ASSETS_AMT_LABEL,N))",
     REVALUATION_RESERVES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_REVALUATION_RESERVES_AMT_LABEL,N))",
     OTHER_ASSETS_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_OTHER_ASSETS_AMT_LABEL,N))",
     TOTAL_LIABILITY_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TOTAL_LIABILITY_AMT_LABEL,N))",
     TOTAL_DEBT_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TOTAL_DEBT_AMT_LABEL,N))",
     LONG_TERM_DEBT_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_LONG_TERM_DEBT_AMT_LABEL,N))",
     LONG_TERM_DEBT_EXPO_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_LONG_TERM_DEBT_EXPO_AMT_LABEL,N))",
     SHORT_TERM_DEBT_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_SHORT_TERM_DEBT_AMT_LABEL,N))",
     SHORT_TERM_DEBT_EXPO_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_SHORT_TERM_DEBT_EXPO_AMT_LABEL,N))",
     SECURED_DEBT_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_SECURED_DEBT_AMT_LABEL,N))",
     UNSECURED_DEBT_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_UNSECURED_DEBT_AMT_LABEL,N))",
     NOTES_PAYABLE_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NOTES_PAYABLE_AMT_LABEL,N))",
     TRADE_PAYABLE_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TRADE_PAYABLE_AMT_LABEL,N))",
     SHORT_TERM_PAYABLES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_SHORT_TERM_PAYABLES_AMT_LABEL,N))",
     CURRENT_LTD_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CURRENT_LTD_AMT_LABEL,N))",
     OTHER_CURRENT_LIABILITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_OTHER_CURRENT_LIABILITY_AMT_LABEL,N))",
     TOTAL_CURRENT_LIABILITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DAT_TOTAL_CURRENT_LIABILITY_AMT_LABEL,N))",
     OTHER_LIABILITY_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_OTHER_LIABILITY_AMT_LABEL,N))",
     CONTINGENT_LIABILITIES_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CONTINGENT_LIABILITIES_AMT_LABEL,N))",
     TRADE_CREDITORS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TRADE_CREDITORS_AMT_LABEL,N))",
     FOREIGN_CURR_EXPOS_TRANS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_FOREIGN_CURR_EXPOS_TRANS_AMT_LABEL,N))",
     FOREIGN_CURR_TRANS_EXPOS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DA_FOREIGN_CURR_TRANS_EXPOS_AMT_LABEL,N))",
     FOREIGN_OTHER_EXPOS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_FOREIGN_OTHER_EXPOS_AMT_LABEL,N))",
     CHARGED_OFF_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CHARGED_OFF_AMT_LABEL,N))",
     CURRENT_VALUE_SECURITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CURRENT_VALUE_SECURITY_AMT_LABEL,N))",
     NET_WORTH_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_NET_WORTH_AMT_LABEL,N))",
     ADJUSTED_NET_WORTH_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ADJUSTED_NET_WORTH_AMT_LABEL,N))",
     LIQUIDITY_RT         NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_LIQUIDITY_RT_LABEL,N))",
     CURRENT_RT           NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CURRENT_RT_LABEL,N))",
     TOTAL_EQUITY_NET_WORTH_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TOTAL_EQUITY_NET_WORTH_AMT_LABEL,N))",
     RETAINED_EARNINGS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_RETAINED_EARNINGS_AMT_LABEL,N))",
     ASSET_BETA_NO        NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ASSET_BETA_NO_LABEL,N))",
     MARKET_CAPITALIZATION_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_MARKET_CAPITALIZATION_AMT_LABEL,N))",
     MARKET_CAPITALIZATION_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_MARKET_CAPITALIZATION_DT_LABEL,N))",
     DIVIDEND_PAYOUT_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DIVIDEND_PAYOUT_AMT_LABEL,N))",
     DIVIDEND_PAYOUT_RATIO_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DIVIDEND_PAYOUT_RATIO_PCT_LABEL,N))",
     EARNINGS_PER_SHARE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EARNINGS_PER_SHARE_AMT_LABEL,N))",
     PRICE_EARNINGS_RATIO_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_PRICE_EARNINGS_RATIO_RT_LABEL,N))",
     DEBT_EQUITY_RT       NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DEBT_EQUITY_RT_LABEL,N))",
     LT_DEBT_EQUITY_RT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_LT_DEBT_EQUITY_RT_LABEL,N))",
     ST_DEBT_EQUITY_RT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ST_DEBT_EQUITY_RT_LABEL,N))",
     DAYS_PAYABLE_RT      NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DAYS_PAYABLE_RT_LABEL,N))",
     DAYS_RECEIVABLE_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DAYS_RECEIVABLE_RT_LABEL,N))",
     DAYS_FINISHED_GOODS_INV_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DAYS_FINISHED_GOODS_INV_RT_LABEL,N))",
     DAYS_WORK_IN_PROG_GOODS_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_DAYS_WORK_IN_PROG_GOODS_RT_LABEL,N))",
     KNOWN_BANK_RELATIONS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_KNOWN_BANK_RELATIONS_CNT_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CURRENCY_CD_LABEL,N))",
     EQUITY_CAPITAL_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EQUITY_CAPITAL_AMT_LABEL,N))",
     CREDIT_BUREAU_SCORE_NO NUMERIC(4) FORMAT=4. INFORMAT=4. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CREDIT_BUREAU_SCORE_NO_LABEL,N))",
     CREDIT_BUREAU_SCORE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CREDIT_BUREAU_SCORE_DT_LABEL,N))",
     TAX_BRACKET_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_TAX_BRACKET_CD_LABEL,N))",
     LIQUID_NET_WORTH_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_LIQUID_NET_WORTH_AMT_LABEL,N))",
     BANKRUPTCY_FILED_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_BANKRUPTCY_FILED_DT_LABEL,N))",
     BANKRUPTCY_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_BANKRUPTCY_STATUS_CD_LABEL,N))",
     REPORTED_ON_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_REPORTED_ON_DT_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_EFFECTIVE_TO_DTTM_LABEL,N))",
     WORKING_CAPITAL_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_WORKING_CAPITAL_AMT_LABEL,N))",
     CASH_FLOW_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_CASH_FLOW_AMT_LABEL,N))",
     INTEREST_INCOME_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_INTEREST_INCOME_AMT_LABEL,N))",
     RETURN_ON_ASSESTS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_RETURN_ON_ASSESTS_AMT_LABEL,N))",
     MCR_MET_FLG          CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_MCR_MET_FLG_LABEL,N))",
     ELIGIBLE_OWN_FUNDS_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_ELIGIBLE_OWN_FUNDS_AMT_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,EXTERNAL_ORG_FINANCIAL_DATA_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (VALID_FROM_DTTM, EXTERNAL_ORG_RK)
);
