
CREATE TABLE &LIBREF..FINANCIAL_ACCOUNT (
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_VALID_FROM_DTTM_LABEL,N))",
     ACCOUNT_ID           VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_ID_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SOURCE_SYSTEM_CD_LABEL,N))",
     ACCOUNT_REGISTRATION_NM VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_REGISTRATION_NM_LABEL,N))",
     ALTERNATE_ACCOUNT_NM VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ALTERNATE_ACCOUNT_NM_LABEL,N))",
     FINANCIAL_ACCOUNT_TYPE_CD VARCHAR(3) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FINANCIAL_ACCOUNT_TYPE_CD_LABEL,N))",
     ACCOUNT_REGISTRATION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_REGISTRATION_TYPE_CD_LABEL,N))",
     ACCOUNT_STATUS_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_STATUS_CD_LABEL,N))",
     OPEN_DT              DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_OPEN_DT_LABEL,N))",
     CLOSE_DT             DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CLOSE_DT_LABEL,N))",
     CLOSE_REASON_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CLOSE_REASON_CD_LABEL,N))",
     ACCOUNT_TAX_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_TAX_ID_LABEL,N))",
     EXPECTED_LOSS_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EXPECTED_LOSS_PCT_LABEL,N))",
     INDIVIDUAL_ORGANIZATION_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INDIVIDUAL_ORGANIZATION_CD_LABEL,N))",
     SOURCE_CD            VARCHAR(5) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SOURCE_CD_LABEL,N))",
     OPENING_CHANNEL_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_OPENING_CHANNEL_CD_LABEL,N))",
     PREFERRED_CHANNEL_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PREFERRED_CHANNEL_CD_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CURRENCY_CD_LABEL,N))",
     PRIMARY_PHONE_NO     VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PRIMARY_PHONE_NO_LABEL,N))",
     PRIMARY_PHONE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PRIMARY_PHONE_TYPE_CD_LABEL,N))",
     SECONDARY_PHONE_NO   VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECONDARY_PHONE_NO_LABEL,N))",
     SECONDARY_PHONE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECONDARY_PHONE_TYPE_CD_LABEL,N))",
     MAILABLE_FLG         CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_MAILABLE_FLG_LABEL,N))",
     TELEPHONABLE_FLG     CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_TELEPHONABLE_FLG_LABEL,N))",
     EMAIL_FLG            CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EMAIL_FLG_LABEL,N))",
     SMS_FLG              CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SMS_FLG_LABEL,N))",
     DO_NOT_CONTACT_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_DO_NOT_CONTACT_FLG_LABEL,N))",
     EMPLOYEE_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EMPLOYEE_RK_LABEL,N))",
     CURRENCY_BASED_ACCOUNT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CURRENCY_BASED_ACCOUNT_FLG_LABEL,N))",
     FEE_BASED_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FEE_BASED_FLG_LABEL,N))",
     ANNUAL_FEES_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ANNUAL_FEES_AMT_LABEL,N))",
     MONTHLY_FEES_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_MONTHLY_FEES_AMT_LABEL,N))",
     CAMPAIGN_CD          VARCHAR(30) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CAMPAIGN_CD_LABEL,N))",
     COMMUNICATION_CD     VARCHAR(30) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_COMMUNICATION_CD_LABEL,N))",
     REGISTERED_ONLINE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REGISTERED_ONLINE_DT_LABEL,N))",
     FIRST_LOGIN_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_LOGIN_DT_LABEL,N))",
     ONLINE_BILL_PAYMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ONLINE_BILL_PAYMENT_FLG_LABEL,N))",
     ID_VERIFICATION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ID_VERIFICATION_TYPE_CD_LABEL,N))",
     PREVIOUS_ACCOUNT_ID  VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PREVIOUS_ACCOUNT_ID_LABEL,N))",
     FUTURE_MARGIN_INCOME_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FUTURE_MARGIN_INCOME_AMT_LABEL,N))",
     IN_DEFAULT_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_IN_DEFAULT_FLG_LABEL,N))",
     IRRECOVERABLE_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_IRRECOVERABLE_FLG_LABEL,N))",
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_NETTING_SET_RK_LABEL,N))",
     REVOLVING_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REVOLVING_FLG_LABEL,N))",
     SOURCE_CHANNEL_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SOURCE_CHANNEL_CD_LABEL,N))",
     GRACE_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_GRACE_PERIOD_DAYS_CNT_LABEL,N))",
     REMARGINING_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REMARGINING_DAYS_CNT_LABEL,N))",
     FINANCIAL_CALENDAR_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FINANCIAL_CALENDAR_RK_LABEL,N))",
     DAY_BASIS_CD         VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_DAY_BASIS_CD_LABEL,N))",
     PORTFOLIO_ID         VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PORTFOLIO_ID_LABEL,N))",
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECURITIZATION_POOL_RK_LABEL,N))",
     ACCOUNT_USAGE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_USAGE_TYPE_CD_LABEL,N))",
     RISK_ALARM_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RISK_ALARM_FLG_LABEL,N))",
     LOW_PROFITABILITY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LOW_PROFITABILITY_FLG_LABEL,N))",
     ACCOUNT_LIFECYCLE_STG_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_LIFECYCLE_STG_CD_LABEL,N))",
     ATTRITION_ALARM_FLG  CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ATTRITION_ALARM_FLG_LABEL,N))",
     BALANCE_FROZEN_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_FROZEN_FLG_LABEL,N))",
     BALANCE_FROZEN_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_FROZEN_DT_LABEL,N))",
     ACCOUNT_BLOCK_REASON_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_BLOCK_REASON_CD_LABEL,N))",
     TAXATION_STATE_CD    VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_TAXATION_STATE_CD_LABEL,N))",
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3) FORMAT=NLNUM7.3 INFORMAT=NLNUM7.3 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EFFECTIVE_MATURITY_YEAR_NO_LABEL,N))",
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_GL_ACCOUNT_RK_LABEL,N))",
     FROM_OTHER_INSTITUTION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FROM_OTHER_INSTITUTION_FLG_LABEL,N))",
     ACCOUNT_RENEWAL_CNT  NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_RENEWAL_CNT_LABEL,N))",
     BALANCE_TRANSFER_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_TRANSFER_DT_LABEL,N))",
     BALANCE_TRANSFER_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_TRANSFER_AMT_LABEL,N))",
     BALANCE_TRANSFER_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_TRANSFER_CNT_LABEL,N))",
     BASE_LONG_TERM_APR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BASE_LONG_TERM_APR_RT_LABEL,N))",
     BROKER_FLG           CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BROKER_FLG_LABEL,N))",
     MULT_RATE_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_MULT_RATE_FLG_LABEL,N))",
     AUTO_DEBIT_ACCOUNT_NO VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_AUTO_DEBIT_ACCOUNT_NO_LABEL,N))",
     WORST_STATUS_LAST_12_MTH_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_WORST_STATUS_LAST_12_MTH_CD_LABEL,N))",
     WORST_STATUS_LAST_12_MTH_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_WORST_STATUS_LAST_12_MTH_DT_LABEL,N))",
     BALANCE_TRNSF_OTHER_ACCT_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BALANCE_TRNSF_OTHER_ACCT_CNT_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EFFECTIVE_TO_DTTM_LABEL,N))",
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_COUNTERPARTY_RK_LABEL,N))",
     INSURED_BY_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INSURED_BY_COUNTERPARTY_RK_LABEL,N))",
     STATEMENT_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_STATEMENT_FREQUENCY_CD_LABEL,N))",
     SECURITY_DEPOSIT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECURITY_DEPOSIT_AMT_LABEL,N))",
     SECURITY_DEPOSIT_REFUND_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECURITY_DEPOSIT_REFUND_AMT_LABEL,N))",
     FIRST_PAYMENT_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_PAYMENT_DT_LABEL,N))",
     LAST_PAYMENT_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LAST_PAYMENT_DT_LABEL,N))",
     FIRST_RESET_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_RESET_DT_LABEL,N))",
     LAST_RESET_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LAST_RESET_DT_LABEL,N))",
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PRINCIPAL_PAYMENT_TYPE_CD_LABEL,N))",
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PRINCIPAL_PAYMENT_AMT_LABEL,N))",
     RATE_POLICY_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RATE_POLICY_RK_LABEL,N))",
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CAPITAL_ALLOCATION_RK_LABEL,N))",
     SPREAD_RT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SPREAD_RT_LABEL,N))",
     DISCOUNT_SPREAD_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_DISCOUNT_SPREAD_RT_LABEL,N))",
     INITIAL_CONTRACT_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INITIAL_CONTRACT_RT_LABEL,N))",
     FIXED_MONTHLY_PREPAYMENT_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIXED_MONTHLY_PREPAYMENT_RT_LABEL,N))",
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FINANCIAL_FUND_RK_LABEL,N))",
     CAPITAL_COST_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CAPITAL_COST_RK_LABEL,N))",
     QUANTO_FEATURE_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_QUANTO_FEATURE_RK_LABEL,N))",
     SEGMENT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SEGMENT_RK_LABEL,N))",
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ANNUITY_PAYMENT_TYPE_CD_LABEL,N))",
     ARREARS_PAYMENT_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ARREARS_PAYMENT_CD_LABEL,N))",
     AUTO_DEBIT_ACCOUNT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_AUTO_DEBIT_ACCOUNT_TYPE_CD_LABEL,N))",
     CASH_INTENSIVE_BUSINESS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CASH_INTENSIVE_BUSINESS_FLG_LABEL,N))",
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CONVEXITY_ADJUSTMENT_FLG_LABEL,N))",
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INTEREST_PAYMENT_TIME_FREQ_CD_LABEL,N))",
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INTEREST_PAYMENT_TYPE_CD_LABEL,N))",
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INTERNAL_REPORTING_CATEGORY_CD_LABEL,N))",
     LETTER_OF_CREDIT_ONFILE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LETTER_OF_CREDIT_ONFILE_FLG_LABEL,N))",
     RESETS_PER_ANNUM_NO  NUMERIC(5) FORMAT=5. INFORMAT=5. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RESETS_PER_ANNUM_NO_LABEL,N))",
     STATEMENT_OPT_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_STATEMENT_OPT_FLG_LABEL,N))",
     TRADE_FINANCE_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_TRADE_FINANCE_FLG_LABEL,N))",
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_VALUE_SCALING_FACTOR_RT_LABEL,N))",
     PREPMT_PSA_SPEED_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PREPMT_PSA_SPEED_RT_LABEL,N))",
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_OWNED_BY_INTERNAL_ORG_RK_LABEL,N))",
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CREDIT_FACILITY_RK_LABEL,N))",
     EXPENSE_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EXPENSE_ALLOCATION_RK_LABEL,N))",
     FIRST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_INTEREST_PAYMENT_DT_LABEL,N))",
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_HOLIDAY_DATE_ROLL_CONV_CD_LABEL,N))",
     LAST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LAST_INTEREST_PAYMENT_DT_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     RECEIVABLES_POOL_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RECEIVABLES_POOL_RK_LABEL,N))",
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_WEEKEND_DATE_ROLL_CONV_CD_LABEL,N))",
     CIC_CD               VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CIC_CD_LABEL,N))",
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_UNWIND_TRIGGER_EVENT_TYPE_CD_LABEL,N))",
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_UNWIND_MAX_LOSS_AMT_LABEL,N))",
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PAYMENT_DAY_OF_MONTH_NO_LABEL,N))",
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INT_PAYMENT_DAY_OF_MONTH_NO_LABEL,N))",
     RESET_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RESET_DAY_OF_MONTH_NO_LABEL,N))",
     ACCOUNTING_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNTING_VALUE_AMT_LABEL,N))",
     ACCOUNTING_TREATMENT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNTING_TREATMENT_CD_LABEL,N))",
     EXPECTED_DEFAULT_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_EXPECTED_DEFAULT_DT_LABEL,N))",
     FIRST_COMPOUND_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_COMPOUND_DT_LABEL,N))",
     COMPOUND_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_COMPOUND_DAY_OF_MONTH_NO_LABEL,N))",
     PREVIOUS_BANK_EXTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PREVIOUS_BANK_EXTERNAL_ORG_RK_LABEL,N))",
     HELD_BY_COUNTERPARTY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_HELD_BY_COUNTERPARTY_FLG_LABEL,N))",
     INT_ACCRUAL_FIXED_PERIOD_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INT_ACCRUAL_FIXED_PERIOD_FLG_LABEL,N))",
     LAST_PREPMT_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LAST_PREPMT_DT_LABEL,N))",
     NO_SIG_WITHDRAWAL_BARRIER_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_NO_SIG_WITHDRAWAL_BARRIER_FLG_LABEL,N))",
     FIRST_PREPMT_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_PREPMT_DT_LABEL,N))",
     INTEREST_SHIFT_IN_DAYS_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_INTEREST_SHIFT_IN_DAYS_NO_LABEL,N))",
     LAST_COMPOUND_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LAST_COMPOUND_DT_LABEL,N))",
     PREPAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PREPAYMENT_DAY_OF_MONTH_NO_LABEL,N))",
     REGULATORY_INSURED_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REGULATORY_INSURED_AMT_LABEL,N))",
     STABLE_RELATIONSHIP_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_STABLE_RELATIONSHIP_FLG_LABEL,N))",
     RENEWABILITY_FLG     CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_RENEWABILITY_FLG_LABEL,N))",
     REP_RATE_SHIFT_IN_DAYS_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REP_RATE_SHIFT_IN_DAYS_NO_LABEL,N))",
     USE_COMPOUND_FREQUENCY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_USE_COMPOUND_FREQUENCY_FLG_LABEL,N))",
     ROLLOVER_SCHEME_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ROLLOVER_SCHEME_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PROCESSED_DTTM_LABEL,N))",
     ACCOUNT_STATUS_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNT_STATUS_DT_LABEL,N))",
     ACCOUNTING_CLASS_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ACCOUNTING_CLASS_CD_LABEL,N))",
     AGREEMENT_STATUS_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_AGREEMENT_STATUS_CD_LABEL,N))",
     AGREEMENT_STATUS_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_AGREEMENT_STATUS_DT_LABEL,N))",
     ASSET_TRANSFERRABLE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ASSET_TRANSFERRABLE_FLG_LABEL,N))",
     BANKRUPTCY_REMOTE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_BANKRUPTCY_REMOTE_FLG_LABEL,N))",
     CCP_COUNTERPARTY_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_CCP_COUNTERPARTY_RK_LABEL,N))",
     COMPOUND_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_COMPOUND_FREQUENCY_CD_LABEL,N))",
     FINAL_OFFER_ACCEPTANCE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FINAL_OFFER_ACCEPTANCE_DT_LABEL,N))",
     FIRST_DEPOSIT_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_DEPOSIT_AMT_LABEL,N))",
     FIRST_DUE_SETT_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_DUE_SETT_DT_LABEL,N))",
     FIRST_LIEN_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FIRST_LIEN_FLG_LABEL,N))",
     FREE_DELIVERY_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FREE_DELIVERY_FLG_LABEL,N))",
     FTP_FIXED_TERM_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_FTP_FIXED_TERM_FREQUENCY_CD_LABEL,N))",
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_HIGH_RISK_CATEGORY_FLG_LABEL,N))",
     LTV_PCT              NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LTV_PCT_LABEL,N))",
     LTV_UPDATED_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_LTV_UPDATED_FLG_LABEL,N))",
     MKT_RISK_CHG_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_MKT_RISK_CHG_AMT_LABEL,N))",
     NO_LOSS_FROM_CM_BANKRUPTCY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_NO_LOSS_FROM_CM_BANKRUPTCY_FLG_LABEL,N))",
     NON_MAT_EXP_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_NON_MAT_EXP_FLG_LABEL,N))",
     ORIG_CURRENCY_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ORIG_CURRENCY_CD_LABEL,N))",
     ORIGINAL_DEED_EXECUTION_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ORIGINAL_DEED_EXECUTION_DT_LABEL,N))",
     ORIGINAL_PRINCIPAL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_ORIGINAL_PRINCIPAL_AMT_LABEL,N))",
     PAYMENT_LOW_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_PAYMENT_LOW_AMT_LABEL,N))",
     POSITION_ROLE_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_POSITION_ROLE_CD_LABEL,N))",
     REGULATORY_INVSTMNT_GRADE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_REGULATORY_INVSTMNT_GRADE_FLG_LABEL,N))",
     SECOND_DUE_SETT_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SECOND_DUE_SETT_DT_LABEL,N))",
     SETT_RISK_CHG_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_SETT_RISK_CHG_AMT_LABEL,N))",
     TRADE_EXP_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_ACCOUNT_TRADE_EXP_FLG_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (ACCOUNT_RK, VALID_FROM_DTTM)
);
