
CREATE TABLE &LIBREF..FINANCIAL_COLLATERAL (
     FINANCIAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_FINANCIAL_COLLATERAL_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_VALID_FROM_DTTM_LABEL,N))",
     FIN_COLLATERAL_SUBTYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_FIN_COLLATERAL_SUBTYPE_CD_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_SOURCE_SYSTEM_CD_LABEL,N))",
     FINANCIAL_COLLATERAL_ID VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_FINANCIAL_COLLATERAL_ID_LABEL,N))",
     LAST_VALUATION_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_LAST_VALUATION_DT_LABEL,N))",
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_ACCOUNT_RK_LABEL,N))",
     HOLDINGS_NO          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_HOLDINGS_NO_LABEL,N))",
     INS_SURRENDER_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_INS_SURRENDER_VALUE_AMT_LABEL,N))",
     HAIRCUT_SET_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_HAIRCUT_SET_ID_LABEL,N))",
     INSURED_AMT          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_INSURED_AMT_LABEL,N))",
     INS_PROVIDER_EXT_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_INS_PROVIDER_EXT_ORG_RK_LABEL,N))",
     CAN_REHYPOTHECATE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_CAN_REHYPOTHECATE_FLG_LABEL,N))",
     REHYPO_REVOKE_NOTICE_PER_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_REHYPO_REVOKE_NOTICE_PER_CNT_LABEL,N))",
     HEDGE_GROUP_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_HEDGE_GROUP_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_PROCESSED_DTTM_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_COLLATERAL_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_COLLATERAL_RK, VALID_FROM_DTTM)
);
