
CREATE TABLE &LIBREF..FINANCIAL_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_VALID_FROM_DTTM_LABEL,N))",
     RATE_POLICY_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_RATE_POLICY_RK_LABEL,N))",
     INTEREST_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INTEREST_PAYMENT_TYPE_CD_LABEL,N))",
     FINANCIAL_INSTRUMENT_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FINANCIAL_INSTRUMENT_ID_LABEL,N))",
     FINANCIAL_INSTRUMENT_NM VARCHAR(200) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FINANCIAL_INSTRUMENT_NM_LABEL,N))",
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_EFFECTIVE_FROM_DT_LABEL,N))",
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_MATURITY_DT_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_SOURCE_SYSTEM_CD_LABEL,N))",
     FIRST_PAYMENT_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FIRST_PAYMENT_DT_LABEL,N))",
     LAST_PAYMENT_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_LAST_PAYMENT_DT_LABEL,N))",
     FACE_VALUE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FACE_VALUE_AMT_LABEL,N))",
     PAYMENTS_PER_ANNUM_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PAYMENTS_PER_ANNUM_RT_LABEL,N))",
     FIRST_RESET_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FIRST_RESET_DT_LABEL,N))",
     LAST_RESET_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_LAST_RESET_DT_LABEL,N))",
     RESETS_PER_ANNUM_NO  NUMERIC(5) FORMAT=5. INFORMAT=5. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_RESETS_PER_ANNUM_NO_LABEL,N))",
     GRACE_PERIOD_DAYS_CNT NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_GRACE_PERIOD_DAYS_CNT_LABEL,N))",
     MATERIALITY_THRESHOLD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_MATERIALITY_THRESHOLD_AMT_LABEL,N))",
     PRESENT_VALUE_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PRESENT_VALUE_AMT_LABEL,N))",
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FINANCIAL_INSTRUMENT_TYPE_CD_LABEL,N))",
     FINANCIAL_CALENDAR_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FINANCIAL_CALENDAR_RK_LABEL,N))",
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_HIGH_RISK_CATEGORY_FLG_LABEL,N))",
     IRRECOVERABLE_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_IRRECOVERABLE_FLG_LABEL,N))",
     MATERIALITY_THRESH_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_MATERIALITY_THRESH_CURRENCY_CD_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CURRENCY_CD_LABEL,N))",
     MTM_VALUE_TO_SELL_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_MTM_VALUE_TO_SELL_CURRENCY_CD_LABEL,N))",
     MTM_VALUE_TO_BUY_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_MTM_VALUE_TO_BUY_CURRENCY_CD_LABEL,N))",
     REMARGINING_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_REMARGINING_DAYS_CNT_LABEL,N))",
     ISSUER_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ISSUER_COUNTERPARTY_RK_LABEL,N))",
     NEXT_CONTRACT_RESET_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_NEXT_CONTRACT_RESET_DT_LABEL,N))",
     DAY_BASIS_CD         VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_DAY_BASIS_CD_LABEL,N))",
     COVER_SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_COVER_SECURITIZATION_POOL_RK_LABEL,N))",
     SENIORITY_CD         VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_SENIORITY_CD_LABEL,N))",
     EFFECTIVE_MATURITY_YEAR_NO NUMERIC(7,3) FORMAT=NLNUM7.3 INFORMAT=NLNUM7.3 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_EFFECTIVE_MATURITY_YEAR_NO_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_EFFECTIVE_TO_DTTM_LABEL,N))",
     BOOK_VALUE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_BOOK_VALUE_AMT_LABEL,N))",
     CONTRACT_SETTLEMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CONTRACT_SETTLEMENT_DT_LABEL,N))",
     PAYMENT_RESET_FREQ_MONTH_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PAYMENT_RESET_FREQ_MONTH_NO_LABEL,N))",
     SPREAD_RT            NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_SPREAD_RT_LABEL,N))",
     DISCOUNT_SPREAD_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_DISCOUNT_SPREAD_RT_LABEL,N))",
     INITIAL_CONTRACT_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INITIAL_CONTRACT_RT_LABEL,N))",
     PRINCIPAL_PAYMENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PRINCIPAL_PAYMENT_AMT_LABEL,N))",
     ANNUITY_PAYMENT_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ANNUITY_PAYMENT_AMT_LABEL,N))",
     YIELD_RT             NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_YIELD_RT_LABEL,N))",
     CARRYING_COST_RT     NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CARRYING_COST_RT_LABEL,N))",
     COMPOUNDING_CD       VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_COMPOUNDING_CD_LABEL,N))",
     ACCRUED_BASE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ACCRUED_BASE_AMT_LABEL,N))",
     PRINCIPAL_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PRINCIPAL_PAYMENT_TYPE_CD_LABEL,N))",
     SETTLEMENT_TYPE_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_SETTLEMENT_TYPE_CD_LABEL,N))",
     QUANTO_FEATURE_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_QUANTO_FEATURE_RK_LABEL,N))",
     ANNUITY_PAYMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ANNUITY_PAYMENT_TYPE_CD_LABEL,N))",
     ARREARS_PAYMENT_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ARREARS_PAYMENT_CD_LABEL,N))",
     CONVEXITY_ADJUSTMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CONVEXITY_ADJUSTMENT_FLG_LABEL,N))",
     COUPON_GRACE_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_COUPON_GRACE_DAYS_CNT_LABEL,N))",
     INTEREST_PAYMENT_TIME_FREQ_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INTEREST_PAYMENT_TIME_FREQ_CD_LABEL,N))",
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INTERNAL_REPORTING_CATEGORY_CD_LABEL,N))",
     PAYMENT_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PAYMENT_TIME_FREQUENCY_CD_LABEL,N))",
     UP_FRONT_FEE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_UP_FRONT_FEE_AMT_LABEL,N))",
     UP_FRONT_FEE_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_UP_FRONT_FEE_DT_LABEL,N))",
     CAPITAL_CLASS_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CAPITAL_CLASS_TYPE_CD_LABEL,N))",
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_VALUE_SCALING_FACTOR_RT_LABEL,N))",
     DELTA_RT             NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_DELTA_RT_LABEL,N))",
     FIRST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FIRST_INTEREST_PAYMENT_DT_LABEL,N))",
     HOLIDAY_DATE_ROLL_CONV_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_HOLIDAY_DATE_ROLL_CONV_CD_LABEL,N))",
     LAST_INTEREST_PAYMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_LAST_INTEREST_PAYMENT_DT_LABEL,N))",
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_LIQUIDITY_HORIZON_MONTH_CNT_LABEL,N))",
     WEEKEND_DATE_ROLL_CONV_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_WEEKEND_DATE_ROLL_CONV_CD_LABEL,N))",
     CIC_CD               VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CIC_CD_LABEL,N))",
     UNWIND_TRIGGER_EVENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_UNWIND_TRIGGER_EVENT_TYPE_CD_LABEL,N))",
     UNWIND_MAX_LOSS_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_UNWIND_MAX_LOSS_AMT_LABEL,N))",
     PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PAYMENT_DAY_OF_MONTH_NO_LABEL,N))",
     INT_PAYMENT_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INT_PAYMENT_DAY_OF_MONTH_NO_LABEL,N))",
     RESET_DAY_OF_MONTH_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_RESET_DAY_OF_MONTH_NO_LABEL,N))",
     INT_ACCRUAL_FIXED_PERIOD_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INT_ACCRUAL_FIXED_PERIOD_FLG_LABEL,N))",
     ACCOUNTING_TREATMENT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ACCOUNTING_TREATMENT_CD_LABEL,N))",
     ACCOUNTING_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ACCOUNTING_VALUE_AMT_LABEL,N))",
     INTEREST_SHIFT_IN_DAYS_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_INTEREST_SHIFT_IN_DAYS_NO_LABEL,N))",
     REP_RATE_SHIFT_IN_DAYS_NO NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_REP_RATE_SHIFT_IN_DAYS_NO_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_PROCESSED_DTTM_LABEL,N))",
     BANKRUPTCY_REMOTE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_BANKRUPTCY_REMOTE_FLG_LABEL,N))",
     FIRST_DUE_SETT_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FIRST_DUE_SETT_DT_LABEL,N))",
     FREE_DELIVERY_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_FREE_DELIVERY_FLG_LABEL,N))",
     QUALIFYING_REFERENCE_INST_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_QUALIFYING_REFERENCE_INST_FLG_LABEL,N))",
     REGULATORY_INVSTMNT_GRADE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_REGULATORY_INVSTMNT_GRADE_FLG_LABEL,N))",
     SECOND_DUE_SETT_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_SECOND_DUE_SETT_DT_LABEL,N))",
     ROLLOVER_SCHEME_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_ROLLOVER_SCHEME_RK_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
