
CREATE TABLE &LIBREF..FINANCIAL_INSTRUMENT_CALC_SPEC (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_VALID_FROM_DTTM_LABEL,N))",
     MTM_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_MTM_TIME_FREQUENCY_CD_LABEL,N))",
     REGULATORY_PRODUCT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_REGULATORY_PRODUCT_CD_LABEL,N))",
     HOLDING_PERIOD_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_HOLDING_PERIOD_DAYS_CNT_LABEL,N))",
     HAIRCUT_SET_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_HAIRCUT_SET_ID_LABEL,N))",
     HAIRCUT_VALUE_RT     NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_HAIRCUT_VALUE_RT_LABEL,N))",
     RISK_WEIGHT_PCT      NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_RISK_WEIGHT_PCT_LABEL,N))",
     ADD_ON_PCT           NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_ADD_ON_PCT_LABEL,N))",
     QUALIFYING_DEBT_SECURITY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_QUALIFYING_DEBT_SECURITY_FLG_LABEL,N))",
     LIQUIDITY_HAIRCUT_SET_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPE_LIQUIDITY_HAIRCUT_SET_ID_LABEL,N))",
     DELTA_GAMMA_APPROXIMATION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CAL_DELTA_GAMMA_APPROXIMATION_FLG_LABEL,N))",
     ACTIVE_DEEP_WIDE_MARKET_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC__ACTIVE_DEEP_WIDE_MARKET_FLG_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_PROCESSED_DTTM_LABEL,N))",
     CAPITAL_COMPONENT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_CAPITAL_COMPONENT_CD_LABEL,N))",
     COLLATERALIZE_RESERVES_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_S_COLLATERALIZE_RESERVES_FLG_LABEL,N))",
     EQUITY_FORM_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CALC_SPEC_EQUITY_FORM_CD_LABEL,N))",
     INDEX_CDS_CVA_STD_RSK_WGT_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_INSTRUMENT_CAL_INDEX_CDS_CVA_STD_RSK_WGT_PCT_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
