
CREATE TABLE &LIBREF..FINANCIAL_POSITION (
     FINANCIAL_POSITION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_POSITION_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_VALID_FROM_DTTM_LABEL,N))",
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     FINANCIAL_POSITION_ID VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_POSITION_ID_LABEL,N))",
     TOTAL_LIMIT_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_TOTAL_LIMIT_AMT_LABEL,N))",
     MOST_RECENT_DEAL_DTTM DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_MOST_RECENT_DEAL_DTTM_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SOURCE_SYSTEM_CD_LABEL,N))",
     MOST_RECENT_DEAL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_MOST_RECENT_DEAL_AMT_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CURRENCY_CD_LABEL,N))",
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EFFECTIVE_FROM_DT_LABEL,N))",
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EXPIRATION_DT_LABEL,N))",
     FINANCIAL_POSITION_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_POSITION_STATUS_CD_LABEL,N))",
     HOLDINGS_NO          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_HOLDINGS_NO_LABEL,N))",
     BUY_PRICE_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_BUY_PRICE_AMT_LABEL,N))",
     SELL_PRICE_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SELL_PRICE_AMT_LABEL,N))",
     POSITION_PAYMENT_LEG_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_POSITION_PAYMENT_LEG_CD_LABEL,N))",
     PORTFOLIO_ID         VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_PORTFOLIO_ID_LABEL,N))",
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_COUNTERPARTY_RK_LABEL,N))",
     CUSTODIAN_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CUSTODIAN_COUNTERPARTY_RK_LABEL,N))",
     OWNED_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_OWNED_BY_INTERNAL_ORG_RK_LABEL,N))",
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_NETTING_SET_RK_LABEL,N))",
     FINANCIAL_POSITION_TYPE_CD VARCHAR(5) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_POSITION_TYPE_CD_LABEL,N))",
     EQUITY_IN_LEG_PROGRAM_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EQUITY_IN_LEG_PROGRAM_FLG_LABEL,N))",
     OFF_BALANCE_SHEET_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_OFF_BALANCE_SHEET_TYPE_CD_LABEL,N))",
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SECURITIZATION_POOL_RK_LABEL,N))",
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_GL_ACCOUNT_RK_LABEL,N))",
     EQUITY_POSITION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EQUITY_POSITION_TYPE_CD_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EFFECTIVE_TO_DTTM_LABEL,N))",
     EXPOSURE_AT_DEFAULT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EXPOSURE_AT_DEFAULT_AMT_LABEL,N))",
     ADJUSTMENT_TO_EXPOSURE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_ADJUSTMENT_TO_EXPOSURE_AMT_LABEL,N))",
     SEGMENT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SEGMENT_RK_LABEL,N))",
     CONTRACT_DELIVERY_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CONTRACT_DELIVERY_DT_LABEL,N))",
     REPO_TRANSACTION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_REPO_TRANSACTION_FLG_LABEL,N))",
     FINANCIAL_FUND_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_FUND_RK_LABEL,N))",
     PHYSICAL_ASSET_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_PHYSICAL_ASSET_RK_LABEL,N))",
     CAPITAL_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CAPITAL_ALLOCATION_RK_LABEL,N))",
     CAPITAL_COST_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CAPITAL_COST_RK_LABEL,N))",
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_MARGIN_AGREEMENT_RK_LABEL,N))",
     CREDIT_FACILITY_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CREDIT_FACILITY_RK_LABEL,N))",
     EXPENSE_ALLOCATION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_EXPENSE_ALLOCATION_RK_LABEL,N))",
     FINANCIAL_POSITION_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FINANCIAL_POSITION_ROLE_CD_LABEL,N))",
     LIQUIDITY_CATEGORY_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_LIQUIDITY_CATEGORY_TYPE_CD_LABEL,N))",
     CONCENTRATION_RSK_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CONCENTRATION_RSK_FLG_LABEL,N))",
     LIQUIDITY_HORIZON_MONTH_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_LIQUIDITY_HORIZON_MONTH_CNT_LABEL,N))",
     RECEIVABLES_POOL_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_RECEIVABLES_POOL_RK_LABEL,N))",
     UNENCUMBERED_FLG     CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_UNENCUMBERED_FLG_LABEL,N))",
     CB_NO_USE_UNDER_DISTRESS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CB_NO_USE_UNDER_DISTRESS_FLG_LABEL,N))",
     HELD_BY_COUNTERPARTY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_HELD_BY_COUNTERPARTY_FLG_LABEL,N))",
     INTERNAL_ORG_CUSTODIAN_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_INTERNAL_ORG_CUSTODIAN_RK_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_VALID_TO_DTTM_LABEL,N))",
     ROLLOVER_SCHEME_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_ROLLOVER_SCHEME_RK_LABEL,N))",
     HEDGE_GROUP_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_HEDGE_GROUP_RK_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_PROCESSED_DTTM_LABEL,N))",
     ACCOUNTING_CLASS_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_ACCOUNTING_CLASS_CD_LABEL,N))",
     ASSET_TRANSFERRABLE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_ASSET_TRANSFERRABLE_FLG_LABEL,N))",
     AVAILABLE_FOR_SALE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_AVAILABLE_FOR_SALE_FLG_LABEL,N))",
     DEDUCT_FROM_OWN_FUNDS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_DEDUCT_FROM_OWN_FUNDS_FLG_LABEL,N))",
     FREE_DELIVERY_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_FREE_DELIVERY_FLG_LABEL,N))",
     MARGIN_BANKRUPTCY_REMOTE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_MARGIN_BANKRUPTCY_REMOTE_FLG_LABEL,N))",
     MKT_RISK_CHG_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_MKT_RISK_CHG_AMT_LABEL,N))",
     NET_UNREALIZED_GAIN_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_NET_UNREALIZED_GAIN_AMT_LABEL,N))",
     NO_LOSS_FROM_CM_BANKRUPTCY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_NO_LOSS_FROM_CM_BANKRUPTCY_FLG_LABEL,N))",
     NON_MAT_EXP_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_NON_MAT_EXP_FLG_LABEL,N))",
     SEC_INFRINGEMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SEC_INFRINGEMENT_FLG_LABEL,N))",
     SETT_RISK_CHG_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_SETT_RISK_CHG_AMT_LABEL,N))",
     TRADE_EXP_CLEARED_THRU_CCP_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_TRADE_EXP_CLEARED_THRU_CCP_FLG_LABEL,N))",
     CCP_COUNTERPARTY_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FINANCIAL_POSITION_CCP_COUNTERPARTY_RK_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_POSITION_RK, VALID_FROM_DTTM)
);
