
CREATE TABLE &LIBREF..FORWARD_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_VALID_FROM_DTTM_LABEL,N))",
     FORWARD_TYPE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_FORWARD_TYPE_CD_LABEL,N))",
     CONVERSION_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_CONVERSION_FACTOR_RT_LABEL,N))",
     VALUE_SCALING_FACTOR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_VALUE_SCALING_FACTOR_RT_LABEL,N))",
     FORWARD_STRIKE_VALUE NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_FORWARD_STRIKE_VALUE_LABEL,N))",
     FORWARD_STRIKE_VALUE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_FORWARD_STRIKE_VALUE_TYPE_CD_LABEL,N))",
     FORWARD_STRIKE_QUOTE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_FORWARD_STRIKE_QUOTE_CD_LABEL,N))",
     CALCULATE_CASHFLOW_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_CALCULATE_CASHFLOW_FLG_LABEL,N))",
     EXPECTED_UNDLNG_EXERCISE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_EXPECTED_UNDLNG_EXERCISE_AMT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,FORWARD_INSTRUMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
