
CREATE TABLE &LIBREF..INTERNAL_ORG (
     INTERNAL_ORG_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_INTERNAL_ORG_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_VALID_FROM_DTTM_LABEL,N))",
     INTERNAL_ORG_REFERENCE_NO VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_INTERNAL_ORG_REFERENCE_NO_LABEL,N))",
     ORG_NM               VARCHAR(50) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ORG_NM_LABEL,N))",
     ORG_LEGAL_NM         VARCHAR(50) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ORG_LEGAL_NM_LABEL,N))",
     ORG_SHORT_NM         VARCHAR(50) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ORG_SHORT_NM_LABEL,N))",
     BOOK_OF_RECORD_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_BOOK_OF_RECORD_CURRENCY_CD_LABEL,N))",
     ORG_TYPE_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ORG_TYPE_CD_LABEL,N))",
     ORG_LEGAL_TYPE_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ORG_LEGAL_TYPE_CD_LABEL,N))",
     LEGAL_ENTITY_FLG     CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_LEGAL_ENTITY_FLG_LABEL,N))",
     LINE_OF_BUSINESS_NM  VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_LINE_OF_BUSINESS_NM_LABEL,N))",
     CENTRAL_GOVT_TAX_ID_NO VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_CENTRAL_GOVT_TAX_ID_NO_LABEL,N))",
     SIC_CD               VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_SIC_CD_LABEL,N))",
     NAICS_CD             VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_NAICS_CD_LABEL,N))",
     ACCOUNTING_FIRM_NM   VARCHAR(50) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ACCOUNTING_FIRM_NM_LABEL,N))",
     ESTABLISHED_DT       DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ESTABLISHED_DT_LABEL,N))",
     FIRST_OPERATION_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_FIRST_OPERATION_DT_LABEL,N))",
     COMPANY_REGISTRATION_NO VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_COMPANY_REGISTRATION_NO_LABEL,N))",
     NATURE_OF_BUSINESS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_NATURE_OF_BUSINESS_CD_LABEL,N))",
     ADDRESS_LINE_1       VARCHAR(64) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ADDRESS_LINE_1_LABEL,N))",
     ADDRESS_LINE_2       VARCHAR(64) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ADDRESS_LINE_2_LABEL,N))",
     ADDRESS_LINE_3       VARCHAR(64) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ADDRESS_LINE_3_LABEL,N))",
     ADDRESS_LINE_4       VARCHAR(64) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_ADDRESS_LINE_4_LABEL,N))",
     CITY_NM              VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_CITY_NM_LABEL,N))",
     POSTAL_CD            VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_POSTAL_CD_LABEL,N))",
     COUNTY_NM            VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_COUNTY_NM_LABEL,N))",
     STATE_REGION_CD      VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_STATE_REGION_CD_LABEL,N))",
     COUNTRY_CD           VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_COUNTRY_CD_LABEL,N))",
     TELEPHONE_NO         VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_TELEPHONE_NO_LABEL,N))",
     FAX_NO               VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_FAX_NO_LABEL,N))",
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_INTERNAL_REPORTING_CATEGORY_CD_LABEL,N))",
     WEB_SITE_TXT         VARCHAR(255) label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_WEB_SITE_TXT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,INTERNAL_ORG_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (INTERNAL_ORG_RK, VALID_FROM_DTTM)
);
