
CREATE TABLE &LIBREF..MORTGAGE_ACCOUNT (
     ACCOUNT_RK           NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ACCOUNT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_VALID_FROM_DTTM_LABEL,N))",
     PROTECTION_INS_EXTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_INS_EXTERNAL_ORG_RK_LABEL,N))",
     BUILDING_INS_EXTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BUILDING_INS_EXTERNAL_ORG_RK_LABEL,N))",
     PROPERTY_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROPERTY_RK_LABEL,N))",
     MORTGAGE_TYPE_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MORTGAGE_TYPE_CD_LABEL,N))",
     MORTGAGE_CYCLE_DAY_NO NUMERIC(3) FORMAT=3. INFORMAT=3. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MORTGAGE_CYCLE_DAY_NO_LABEL,N))",
     ACTUAL_ADVANCE_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ACTUAL_ADVANCE_AMT_LABEL,N))",
     ADVANCE_REQ_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ADVANCE_REQ_AMT_LABEL,N))",
     ADVANCE_PCT          NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ADVANCE_PCT_LABEL,N))",
     REVIEW_DT            DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REVIEW_DT_LABEL,N))",
     CURRENT_LIMIT_AMT    NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CURRENT_LIMIT_AMT_LABEL,N))",
     CURRENT_LIMIT_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CURRENT_LIMIT_DT_LABEL,N))",
     INTEREST_PAYABLE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INTEREST_PAYABLE_AMT_LABEL,N))",
     TAX_YEAR_INTEREST_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_TAX_YEAR_INTEREST_AMT_LABEL,N))",
     SET_UP_FEES_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SET_UP_FEES_AMT_LABEL,N))",
     CHARGE_OFF_DT        DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CHARGE_OFF_DT_LABEL,N))",
     CHARGE_OFF_AMT       NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CHARGE_OFF_AMT_LABEL,N))",
     LATEST_MTH_PREM_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_LATEST_MTH_PREM_AMT_LABEL,N))",
     GUARANTEE_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_GUARANTEE_AMT_LABEL,N))",
     CLOSING_COST_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CLOSING_COST_AMT_LABEL,N))",
     APPROVED_ADVANCE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_APPROVED_ADVANCE_AMT_LABEL,N))",
     MAXIMUM_MONTHLY_PAYMENT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MAXIMUM_MONTHLY_PAYMENT_AMT_LABEL,N))",
     PAYMENT_ADJUSTABLE_CAP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_ADJUSTABLE_CAP_AMT_LABEL,N))",
     IMPROVEMENTS_ALLOCATION_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_IMPROVEMENTS_ALLOCATION_AMT_LABEL,N))",
     DEBT_PAYMENT_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_DEBT_PAYMENT_AMT_LABEL,N))",
     MONTHLY_PAYMENT_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MONTHLY_PAYMENT_AMT_LABEL,N))",
     DOWN_PAYMENT_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_DOWN_PAYMENT_AMT_LABEL,N))",
     APR_RT               NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_APR_RT_LABEL,N))",
     BASE_APR_RT          NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BASE_APR_RT_LABEL,N))",
     VRBLE_CHNG_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_VRBLE_CHNG_TIME_FREQUENCY_CD_LABEL,N))",
     FIXED_APR_RT         NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIXED_APR_RT_LABEL,N))",
     FIXED_PERIOD_MONTHS  NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIXED_PERIOD_MONTHS_LABEL,N))",
     FIXED_VARIABLE_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIXED_VARIABLE_DT_LABEL,N))",
     CONVERSION_TO_FIXED_END_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CONVERSION_TO_FIXED_END_DT_LABEL,N))",
     HOME_STATUS_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_HOME_STATUS_CD_LABEL,N))",
     MORTGAGE_STATUS_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MORTGAGE_STATUS_CD_LABEL,N))",
     EXCHANGE_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_EXCHANGE_DT_LABEL,N))",
     REDEEMED_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REDEEMED_DT_LABEL,N))",
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MATURITY_DT_LABEL,N))",
     PAYMENT_METHOD_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_METHOD_CD_LABEL,N))",
     COLLECTIONS_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_COLLECTIONS_STATUS_CD_LABEL,N))",
     CASHBACK_AMT         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CASHBACK_AMT_LABEL,N))",
     CASHBACK_PCT         NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CASHBACK_PCT_LABEL,N))",
     LIFE_INSURANCE_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_LIFE_INSURANCE_FLG_LABEL,N))",
     INTRODUCER_CD        VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INTRODUCER_CD_LABEL,N))",
     LAST_STATEMENT_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_LAST_STATEMENT_DT_LABEL,N))",
     REDEMPTION_CHARGES_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REDEMPTION_CHARGES_CD_LABEL,N))",
     OPEN_TO_BUY_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_OPEN_TO_BUY_AMT_LABEL,N))",
     PROTECTION_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_FLG_LABEL,N))",
     PROTECTION_POLICY_NO VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_POLICY_NO_LABEL,N))",
     PROTECTION_START_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_START_DT_LABEL,N))",
     PROTECTION_PREM_RT   NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_PREM_RT_LABEL,N))",
     PROT_TERM_CONDITION_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROT_TERM_CONDITION_CD_LABEL,N))",
     PROT_PREM_START_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROT_PREM_START_DT_LABEL,N))",
     PPI_PREMIUM_FIRST_DUE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PPI_PREMIUM_FIRST_DUE_DT_LABEL,N))",
     PREPAYMENT_PENALTY_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PREPAYMENT_PENALTY_DT_LABEL,N))",
     PREPAYMENT_PENALTY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PREPAYMENT_PENALTY_AMT_LABEL,N))",
     BUILDINGS_INS_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BUILDINGS_INS_FLG_LABEL,N))",
     BLDG_INS_PROOF_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BLDG_INS_PROOF_FLG_LABEL,N))",
     MONTHS_SINCE_AT_BUREAU_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MONTHS_SINCE_AT_BUREAU_CNT_LABEL,N))",
     BUREAU_CLASS_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BUREAU_CLASS_CD_LABEL,N))",
     INQUIRY_BUREAU_CNT   NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INQUIRY_BUREAU_CNT_LABEL,N))",
     INTEREST_RATE_CAP_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INTEREST_RATE_CAP_RT_LABEL,N))",
     NEXT_PI_ADJUSTMENT_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_NEXT_PI_ADJUSTMENT_DT_LABEL,N))",
     PERIOD_CAP_PERCENTAGE_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PERIOD_CAP_PERCENTAGE_RT_LABEL,N))",
     HOME_EQUITY_LOAN_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_HOME_EQUITY_LOAN_FLG_LABEL,N))",
     DOCUMENTATION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_DOCUMENTATION_TYPE_CD_LABEL,N))",
     FIRST_TIME_BUYER_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIRST_TIME_BUYER_FLG_LABEL,N))",
     PRINCIPAL_REPAYMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PRINCIPAL_REPAYMENT_FLG_LABEL,N))",
     ANNUAL_REPAYMENT_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ANNUAL_REPAYMENT_PCT_LABEL,N))",
     PAYMENT_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_TIME_FREQUENCY_CD_LABEL,N))",
     PAYMENT_AMT          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_AMT_LABEL,N))",
     FIRST_MORTGAGE_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIRST_MORTGAGE_FLG_LABEL,N))",
     AUTO_PAY_FLG         CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_AUTO_PAY_FLG_LABEL,N))",
     LIEN_INDICATOR_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_LIEN_INDICATOR_FLG_LABEL,N))",
     MAINTENANCE_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MAINTENANCE_FLG_LABEL,N))",
     BORROWED_DOWNPAYMENT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BORROWED_DOWNPAYMENT_FLG_LABEL,N))",
     BORROWED_DOWNPAYMENT_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_BORROWED_DOWNPAYMENT_PCT_LABEL,N))",
     CASH_ADVANCE_FLG     CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CASH_ADVANCE_FLG_LABEL,N))",
     PURPOSE_CD           VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PURPOSE_CD_LABEL,N))",
     SPECIALIZED_LENDING_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPECIALIZED_LENDING_CD_LABEL,N))",
     SENIORITY_CD         VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SENIORITY_CD_LABEL,N))",
     INTEREST_TIER_NO     NUMERIC(5) FORMAT=5. INFORMAT=5. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INTEREST_TIER_NO_LABEL,N))",
     PRE_CREDIT_CD        VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PRE_CREDIT_CD_LABEL,N))",
     PRE_CREDIT_END_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PRE_CREDIT_END_DT_LABEL,N))",
     REFINANCE_AMT        NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REFINANCE_AMT_LABEL,N))",
     APR_TYPE_CD          VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_APR_TYPE_CD_LABEL,N))",
     MINIMUM_PAYMENT_FLG  CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MINIMUM_PAYMENT_FLG_LABEL,N))",
     REDRAW_FLG           CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REDRAW_FLG_LABEL,N))",
     MINIMUM_REDRAW_AMT   NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MINIMUM_REDRAW_AMT_LABEL,N))",
     CONVERT_TO_SPLIT_OPTION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CONVERT_TO_SPLIT_OPTION_FLG_LABEL,N))",
     ORIGIN_CHANNEL_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ORIGIN_CHANNEL_CD_LABEL,N))",
     FORECLOSURE_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FORECLOSURE_FLG_LABEL,N))",
     ACCOUNT_ID           VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ACCOUNT_ID_LABEL,N))",
     SOURCE_SYSTEM_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SOURCE_SYSTEM_CD_LABEL,N))",
     HONEYMOON_FLG        CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_HONEYMOON_FLG_LABEL,N))",
     HONEYMOON_START_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_HONEYMOON_START_DT_LABEL,N))",
     HONEYMOON_END_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_HONEYMOON_END_DT_LABEL,N))",
     OFFSET_ACCOUNT_FLG   CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_OFFSET_ACCOUNT_FLG_LABEL,N))",
     PORTABILITY_FLG      CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PORTABILITY_FLG_LABEL,N))",
     PAYMENT_PROTECTION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_PROTECTION_FLG_LABEL,N))",
     PAYMENT_PROTECTION_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PAYMENT_PROTECTION_STATUS_CD_LABEL,N))",
     PROTECTION_STATUS_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROTECTION_STATUS_CD_LABEL,N))",
     SPLIT_LOAN_FLG       CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPLIT_LOAN_FLG_LABEL,N))",
     FIXED_INT_END_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIXED_INT_END_DT_LABEL,N))",
     CONVERTIBLE_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CONVERTIBLE_CD_LABEL,N))",
     REPAYMENT_HOLIDAY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REPAYMENT_HOLIDAY_FLG_LABEL,N))",
     REPAYMENT_HOLIDAY_START_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REPAYMENT_HOLIDAY_START_DT_LABEL,N))",
     REPAYMENT_HOLIDAY_END_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REPAYMENT_HOLIDAY_END_DT_LABEL,N))",
     SPECIAL_INTEREST_RT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPECIAL_INTEREST_RT_LABEL,N))",
     SPECIAL_RATE_START_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPECIAL_RATE_START_DT_LABEL,N))",
     SPECIAL_RATE_END_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPECIAL_RATE_END_DT_LABEL,N))",
     DISBURSEMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_DISBURSEMENT_TYPE_CD_LABEL,N))",
     SPECIAL_RATE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_SPECIAL_RATE_TYPE_CD_LABEL,N))",
     APR_RT_CHANGE_REASON_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_APR_RT_CHANGE_REASON_CD_LABEL,N))",
     MATURITY_CHANGE_REASON_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_MATURITY_CHANGE_REASON_CD_LABEL,N))",
     FIRST_PAYMENT_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_FIRST_PAYMENT_DT_LABEL,N))",
     LAST_PAYMENT_DT      DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_LAST_PAYMENT_DT_LABEL,N))",
     CURRENT_APR_SET_DT   DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_CURRENT_APR_SET_DT_LABEL,N))",
     INTEREST_ONLY_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_INTEREST_ONLY_FLG_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROCESSED_DTTM_LABEL,N))",
     ANNUAL_PENALTY_FREE_PREP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_ANNUAL_PENALTY_FREE_PREP_AMT_LABEL,N))",
     OTHER_PARTY_LIEN_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_OTHER_PARTY_LIEN_FLG_LABEL,N))",
     PREPAYMENT_PENALTY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PREPAYMENT_PENALTY_CD_LABEL,N))",
     PREPAYMENT_TIME_FREQUENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PREPAYMENT_TIME_FREQUENCY_CD_LABEL,N))",
     PROPERTY_OCCUPANCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PROPERTY_OCCUPANCY_CD_LABEL,N))",
     PRUDENTLY_UNDERWRITTEN_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_PRUDENTLY_UNDERWRITTEN_FLG_LABEL,N))",
     REMAIN_PENALTY_FREE_PREP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_REMAIN_PENALTY_FREE_PREP_AMT_LABEL,N))",
     UNDRLYNG_CONTRACT_CANCELED_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,MORTGAGE_ACCOUNT_UNDRLYNG_CONTRACT_CANCELED_FLG_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (ACCOUNT_RK, VALID_FROM_DTTM)
);
