
CREATE TABLE &LIBREF..NETTING_SET (
     NETTING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_NETTING_SET_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_VALID_FROM_DTTM_LABEL,N))",
     NETTING_SET_ID       VARCHAR(32) NOT NULL label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_NETTING_SET_ID_LABEL,N))",
     OFF_BALANCE_NETTING_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_OFF_BALANCE_NETTING_TYPE_CD_LABEL,N))",
     INTERNAL_ORG_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_INTERNAL_ORG_RK_LABEL,N))",
     COUNTERPARTY_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_COUNTERPARTY_RK_LABEL,N))",
     FINANCIAL_INSTRUMENT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_FINANCIAL_INSTRUMENT_TYPE_CD_LABEL,N))",
     MASTER_NETTING_SET_AGRMNT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_MASTER_NETTING_SET_AGRMNT_FLG_LABEL,N))",
     SETTLEMENT_CURRENCY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_SETTLEMENT_CURRENCY_CD_LABEL,N))",
     MATURITY_DT          DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_MATURITY_DT_LABEL,N))",
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_EFFECTIVE_FROM_DT_LABEL,N))",
     NOVATION_FINANCIAL_POSITION_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_NOVATION_FINANCIAL_POSITION_RK_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_EFFECTIVE_TO_DTTM_LABEL,N))",
     MARGIN_AGREEMENT_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_MARGIN_AGREEMENT_RK_LABEL,N))",
     INCEPTION_DT         DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_INCEPTION_DT_LABEL,N))",
     INTERNAL_MODEL_VAR_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_INTERNAL_MODEL_VAR_RT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,NETTING_SET_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (NETTING_SET_RK, VALID_FROM_DTTM)
);
