
CREATE TABLE &LIBREF..OPTION_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_VALID_FROM_DTTM_LABEL,N))",
     OPTION_TYPE_CD       VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_OPTION_TYPE_CD_LABEL,N))",
     STRIKE_CURRENCY_CD   VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_STRIKE_CURRENCY_CD_LABEL,N))",
     PUT_CALL_TYPE_CD     VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_PUT_CALL_TYPE_CD_LABEL,N))",
     EXERCISE_TRANSACTION_COST_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_EXERCISE_TRANSACTION_COST_PCT_LABEL,N))",
     OPTION_FIRST_EXERCISE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_OPTION_FIRST_EXERCISE_DT_LABEL,N))",
     BERMUDA_FLG          CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BERMUDA_FLG_LABEL,N))",
     BERMUDA_EXERCISE_TIME_FREQ_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BERMUDA_EXERCISE_TIME_FREQ_CD_LABEL,N))",
     COMPOUND_OPTION_FLG  CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_COMPOUND_OPTION_FLG_LABEL,N))",
     DISCRETE_MONITORING_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_DISCRETE_MONITORING_FLG_LABEL,N))",
     DISCRETE_MONITORING_FREQ_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_DISCRETE_MONITORING_FREQ_CD_LABEL,N))",
     DISCRETE_MONITORING_START_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_DISCRETE_MONITORING_START_DT_LABEL,N))",
     FORWARD_START_DT     DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_FORWARD_START_DT_LABEL,N))",
     FORWARD_START_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_FORWARD_START_FLG_LABEL,N))",
     RESET_OPTION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_RESET_OPTION_TYPE_CD_LABEL,N))",
     STRIKE_VALUE         NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_STRIKE_VALUE_LABEL,N))",
     STRIKE_VALUE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_STRIKE_VALUE_TYPE_CD_LABEL,N))",
     BASKET_UNDERLYING_INSTR_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BASKET_UNDERLYING_INSTR_CNT_LABEL,N))",
     ASIAN_OPTION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_ASIAN_OPTION_TYPE_CD_LABEL,N))",
     WARRANTS_ISSUED_NO   NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_WARRANTS_ISSUED_NO_LABEL,N))",
     BARRIER_FEATURE_RK   NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BARRIER_FEATURE_RK_LABEL,N))",
     BARRIER_OPTION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BARRIER_OPTION_TYPE_CD_LABEL,N))",
     BASKET_OPTION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_BASKET_OPTION_TYPE_CD_LABEL,N))",
     CHOOSER_OPTION_TYPE_CD VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_CHOOSER_OPTION_TYPE_CD_LABEL,N))",
     COMPOUND_OPTION_TYPE_CD VARCHAR(10) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_COMPOUND_OPTION_TYPE_CD_LABEL,N))",
     CORRELATION_MATRIX_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_CORRELATION_MATRIX_RK_LABEL,N))",
     DISCRETE_MONITORING_END_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_DISCRETE_MONITORING_END_DT_LABEL,N))",
     SECOND_STRIKE_VALUE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_SECOND_STRIKE_VALUE_TYPE_CD_LABEL,N))",
     SECOND_STRIKE_VALUE  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_SECOND_STRIKE_VALUE_LABEL,N))",
     RESET_DT             DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_RESET_DT_LABEL,N))",
     OPTION_STYLE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_OPTION_STYLE_CD_LABEL,N))",
     OPTION_STRIKE_QUOTE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_OPTION_STRIKE_QUOTE_CD_LABEL,N))",
     CALCULATE_CASHFLOW_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_CALCULATE_CASHFLOW_FLG_LABEL,N))",
     EXPECTED_EXERCISE_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_EXPECTED_EXERCISE_DT_LABEL,N))",
     EXPECTED_UNDLNG_EXERCISE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_EXPECTED_UNDLNG_EXERCISE_AMT_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,OPTION_INSTRUMENT_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
);
