
CREATE TABLE &LIBREF..PHYSICAL_ASSET (
     PHYSICAL_ASSET_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PHYSICAL_ASSET_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_VALID_FROM_DTTM_LABEL,N))",
     ASSET_VALUE_AMT      NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ASSET_VALUE_AMT_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_CURRENCY_CD_LABEL,N))",
     PHYSICAL_ASSET_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PHYSICAL_ASSET_TYPE_CD_LABEL,N))",
     ASSET_TYPE_CD        VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ASSET_TYPE_CD_LABEL,N))",
     VALUATION_DT         DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_VALUATION_DT_LABEL,N))",
     PHYSICAL_ASSET_ID    VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PHYSICAL_ASSET_ID_LABEL,N))",
     ASSET_DESC           VARCHAR(100) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ASSET_DESC_LABEL,N))",
     ASSET_LOCATION_COUNTRY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ASSET_LOCATION_COUNTRY_CD_LABEL,N))",
     ASSET_LOCATION_POSTAL_CD VARCHAR(20) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ASSET_LOCATION_POSTAL_CD_LABEL,N))",
     PROPERTY_RK          NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PROPERTY_RK_LABEL,N))",
     VALUE_TO_BANK_RT     NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_VALUE_TO_BANK_RT_LABEL,N))",
     REGULATORY_PRODUCT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_REGULATORY_PRODUCT_CD_LABEL,N))",
     INTERNAL_REPORTING_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_INTERNAL_REPORTING_CATEGORY_CD_LABEL,N))",
     PHYSICAL_ASSET_INS_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PHYSICAL_ASSET_INS_FLG_LABEL,N))",
     INSURED_AMT          NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_INSURED_AMT_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_EFFECTIVE_TO_DTTM_LABEL,N))",
     REVALUATION_DAYS_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_REVALUATION_DAYS_CNT_LABEL,N))",
     CIC_CD               VARCHAR(4) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_CIC_CD_LABEL,N))",
     INS_PROVIDER_EXT_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_INS_PROVIDER_EXT_ORG_RK_LABEL,N))",
     FTP_FIX_TERM_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_FTP_FIX_TERM_TIME_UOM_CD_LABEL,N))",
     FTP_FIX_TERM_TIME_UOM_NO NUMERIC(8) FORMAT=8. INFORMAT=8. label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_FTP_FIX_TERM_TIME_UOM_NO_LABEL,N))",
     FTP_METHOD_CD        VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_FTP_METHOD_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_PROCESSED_DTTM_LABEL,N))",
     ACCOUNTING_CLASS_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_ACCOUNTING_CLASS_CD_LABEL,N))",
     HIGH_RISK_CATEGORY_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_HIGH_RISK_CATEGORY_FLG_LABEL,N))",
     MORTGAGE_LENDING_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_MORTGAGE_LENDING_VALUE_AMT_LABEL,N))",
     MORTGAGE_REGISTRATION_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,PHYSICAL_ASSET_MORTGAGE_REGISTRATION_AMT_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (PHYSICAL_ASSET_RK, VALID_FROM_DTTM)
);
