
CREATE TABLE &LIBREF..REGULATORY_CAPITAL (
     CAPITAL_TYPE_CD      VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_CAPITAL_TYPE_CD_LABEL,N))",
     INTERNAL_ORG_RK      NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_INTERNAL_ORG_RK_LABEL,N))",
     TIER_NO              NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_TIER_NO_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_VALID_FROM_DTTM_LABEL,N))",
     VALID_TO_DTTM        DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_VALID_TO_DTTM_LABEL,N))",
     REGULATORY_CAPITAL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_REGULATORY_CAPITAL_AMT_LABEL,N))",
     FINANCIAL_INSTRUMENT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_FINANCIAL_INSTRUMENT_RK_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_CURRENCY_CD_LABEL,N))",
     PROCESSED_DTTM       DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,REGULATORY_CAPITAL_PROCESSED_DTTM_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (CAPITAL_TYPE_CD, INTERNAL_ORG_RK, TIER_NO, VALID_FROM_DTTM)
);
