
CREATE TABLE &LIBREF..RISK_FACTOR (
     RISK_FACTOR_ID       VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RISK_FACTOR_ID_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_VALID_FROM_DTTM_LABEL,N))",
     UNDERLYING_RISK_FACTOR_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_UNDERLYING_RISK_FACTOR_ID_LABEL,N))",
     RISK_FACTOR_NM       VARCHAR(40) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RISK_FACTOR_NM_LABEL,N))",
     RISK_FACTOR_ROLE_CD  VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RISK_FACTOR_ROLE_CD_LABEL,N))",
     RISK_FACTOR_CATEGORY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RISK_FACTOR_CATEGORY_CD_LABEL,N))",
     MATURITY_LENGTH_OF_TIME NUMERIC(8) FORMAT=8. INFORMAT=8. label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_MATURITY_LENGTH_OF_TIME_LABEL,N))",
     MATURITY_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_MATURITY_TIME_UOM_CD_LABEL,N))",
     RISK_FACTOR_MEASURE_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RISK_FACTOR_MEASURE_TYPE_CD_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_EFFECTIVE_TO_DTTM_LABEL,N))",
     HEDGING_SET_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_HEDGING_SET_RK_LABEL,N))",
     CURRENCY_CD          VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_CURRENCY_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_PROCESSED_DTTM_LABEL,N))",
     COMPOUNDING_FREQ_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_COMPOUNDING_FREQ_TIME_UOM_CD_LABEL,N))",
     COMPOUNDING_FREQ_TIME_UOM_NO NUMERIC(8) FORMAT=8. INFORMAT=8. label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_COMPOUNDING_FREQ_TIME_UOM_NO_LABEL,N))",
     RATE_TENOR_TIME_UOM_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RATE_TENOR_TIME_UOM_CD_LABEL,N))",
     RATE_TENOR_TIME_UOM_NO NUMERIC(8) FORMAT=8. INFORMAT=8. label="%SYSFUNC(SASMSG(&SMDFILE,RISK_FACTOR_RATE_TENOR_TIME_UOM_NO_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (RISK_FACTOR_ID, VALID_FROM_DTTM)
);
