
CREATE TABLE &LIBREF..SECURITIZATION_POOL (
     SECURITIZATION_POOL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZATION_POOL_RK_LABEL,N))",
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_VALID_FROM_DTTM_LABEL,N))",
     SECURITIZATION_POOL_ID VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZATION_POOL_ID_LABEL,N))",
     SECURITIZ_STRUC_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZ_STRUC_TYPE_CD_LABEL,N))",
     SECURITIZ_STRUC_SUBTYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZ_STRUC_SUBTYPE_CD_LABEL,N))",
     SECURITIZ_PRIM_BANK_ROLE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZ_PRIM_BANK_ROLE_CD_LABEL,N))",
     SECURITIZ_PRIM_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SECURITIZ_PRIM_TYPE_CD_LABEL,N))",
     CLEAN_UP_CALL_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_CLEAN_UP_CALL_TYPE_CD_LABEL,N))",
     CLEAN_UP_CALL_HOLDER_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_CLEAN_UP_CALL_HOLDER_FLG_LABEL,N))",
     CLEAN_UP_CALL_LEVEL_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_CLEAN_UP_CALL_LEVEL_AMT_LABEL,N))",
     GAIN_ON_SALE_AMT     NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_GAIN_ON_SALE_AMT_LABEL,N))",
     EARLY_AMORTIZATION_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_EARLY_AMORTIZATION_TYPE_CD_LABEL,N))",
     LONGEST_MATURITY_DT  DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_LONGEST_MATURITY_DT_LABEL,N))",
     IMPLICIT_SUPPORT_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_IMPLICIT_SUPPORT_FLG_LABEL,N))",
     AVG_3_MONTH_EXCESS_SPREAD_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_AVG_3_MONTH_EXCESS_SPREAD_AMT_LABEL,N))",
     EXCESS_SPREAD_TRAP_POINT_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_EXCESS_SPREAD_TRAP_POINT_AMT_LABEL,N))",
     POOL_FACE_VALUE_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_POOL_FACE_VALUE_AMT_LABEL,N))",
     EFFECTIVE_NO_OF_EXPOSURES NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_EFFECTIVE_NO_OF_EXPOSURES_LABEL,N))",
     TOTAL_TRANCHE_NO     NUMERIC(10) FORMAT=10. INFORMAT=10. label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_TOTAL_TRANCHE_NO_LABEL,N))",
     UNCOMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNCOMM_RETAIL_REVOLV_FACE_AMT_LABEL,N))",
     COMM_RETAIL_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_COMM_RETAIL_REVOLV_FACE_AMT_LABEL,N))",
     UNCOMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNCOMM_OTHER_REVOLV_FACE_AMT_LABEL,N))",
     COMM_OTHER_REVOLV_FACE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_COMM_OTHER_REVOLV_FACE_AMT_LABEL,N))",
     WEIGHT_AVG_MATURITY_MONTHS_NO NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_WEIGHT_AVG_MATURITY_MONTHS_NO_LABEL,N))",
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_EFFECTIVE_FROM_DTTM_LABEL,N))",
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_EFFECTIVE_TO_DTTM_LABEL,N))",
     K_IRB_RT             NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_K_IRB_RT_LABEL,N))",
     WEIGHTED_AVG_LGD_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_WEIGHTED_AVG_LGD_PCT_LABEL,N))",
     WEIGHTED_AVG_COUPON_RT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_WEIGHTED_AVG_COUPON_RT_LABEL,N))",
     MAX_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_MAX_RISK_WEIGHT_PCT_LABEL,N))",
     MIN_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_MIN_RISK_WEIGHT_PCT_LABEL,N))",
     AVG_RISK_WEIGHT_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_AVG_RISK_WEIGHT_PCT_LABEL,N))",
     CRDT_ENHNC_INT_ONLY_STRIP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_CRDT_ENHNC_INT_ONLY_STRIP_AMT_LABEL,N))",
     INVESTORS_INTEREST_PCT NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_INVESTORS_INTEREST_PCT_LABEL,N))",
     UNDERLYING_EXPOSURE_CNT NUMERIC(6) FORMAT=6. INFORMAT=6. label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNDERLYING_EXPOSURE_CNT_LABEL,N))",
     UNDERLYING_PRODUCT_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNDERLYING_PRODUCT_TYPE_CD_LABEL,N))",
     RESECURITIZATION_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_RESECURITIZATION_FLG_LABEL,N))",
     UNDERLYING_COLLATERAL_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNDERLYING_COLLATERAL_TYPE_CD_LABEL,N))",
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_VALID_TO_DTTM_LABEL,N))",
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_PROCESSED_DTTM_LABEL,N))",
     FULL_RECOURSE_FLG    CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_FULL_RECOURSE_FLG_LABEL,N))",
     HOMOGENEOUS_POOL_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_HOMOGENEOUS_POOL_FLG_LABEL,N))",
     ISSUER_RETAINS_POOL_EXP_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_ISSUER_RETAINS_POOL_EXP_FLG_LABEL,N))",
     MAX_LTV_IN_POOL_PCT  NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_MAX_LTV_IN_POOL_PCT_LABEL,N))",
     ACCOUNTING_TREATMENT_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_ACCOUNTING_TREATMENT_CD_LABEL,N))",
     FIRST_POSSIBLE_TERM_DT DATE FORMAT=&DTFMT INFORMAT=NLDATE20. label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_FIRST_POSSIBLE_TERM_DT_LABEL,N))",
     INSTITUTION_SHARE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_INSTITUTION_SHARE_AMT_LABEL,N))",
     ORIGINATION_COUNTRY_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_ORIGINATION_COUNTRY_CD_LABEL,N))",
     ORIGINATOR_COUNTERPARTY_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_ORIGINATOR_COUNTERPARTY_RK_LABEL,N))",
     POOL_FACE_VALUE_INCEP_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_POOL_FACE_VALUE_INCEP_AMT_LABEL,N))",
     RETENTION_TYPE_CD    VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_RETENTION_TYPE_CD_LABEL,N))",
     SEC_PORTFOLIO_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SEC_PORTFOLIO_TYPE_CD_LABEL,N))",
     SEC_RETENTION_COMPLIANCE_FLG CHARACTER(1) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SEC_RETENTION_COMPLIANCE_FLG_LABEL,N))",
     SEC_RETENTION_PCT    NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_SEC_RETENTION_PCT_LABEL,N))",
     TOTAL_PROVISION_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_TOTAL_PROVISION_AMT_LABEL,N))",
     UNDERLYING_APPROACH_TYPE_CD VARCHAR(3) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNDERLYING_APPROACH_TYPE_CD_LABEL,N))",
     UNDERLYING_EXPOSURE_TYPE_CD VARCHAR(32) label="%SYSFUNC(SASMSG(&SMDFILE,SECURITIZATION_POOL_UNDERLYING_EXPOSURE_TYPE_CD_LABEL,N))",
     CONSTRAINT PRIM_KEY PRIMARY KEY (SECURITIZATION_POOL_RK, VALID_FROM_DTTM)
);
